﻿--除游戏主界面外的其它界面


local lablescore
local topestScore
local start1
local start2
local start3

local pUiLayer

--挑战成功界面
function load_challenge_succ_ui()
	local helper = UIUtils:create()
	hidden_gamepause_ui()
	playEffects(enSound_levelCompleted,false)
	
	local pGameScene = GameLevel:GetInstance():getGameScene()
	
	if pGameScene ~= nil then 
		local bbLayer 		= pGameScene:getChildByTag(1)
		local pUiLayer 		= bbLayer:getChildByTagName('bb_back')
		local pShootSprite 	= pUiLayer:getChildByTag(1)
		pShootSprite:stopAllActions()
	end
	
	local pColorBack = CCLayerColor:create(ccc4(0,0,0,0))
	pColorBack:runAction(CCFadeTo:create(0.2,140))
	pGameScene:addChild(pColorBack,1)

	pUiLayer = CCLayer:create()
	pColorBack:addChild(pUiLayer, 2)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() 
		end end,false,1,true)
		
	pUiLayer:setTouchEnabled(true)

	--背景图片层
	local pSprite = helper:getPriteByCache('grass_back.png')
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setPosition(ccp(screen_size.width/2,0))
	pUiLayer:addChild(pSprite)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width-60,screen_size.height/2+310))
	pUiLayer:addChild(pBtn,2)
	local function onBtnClose()
		User:GetInstance().posty = 0;
		lablescore:stopAuto();
		playEffects(enSound_MenuBtn,false)
		local cur_level = GameLevel:GetInstance():getCurLevel()

		gotoMap(0)
		pBtn:setTouchEnabled(false)
	
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--子层，放置内容
	local pActionLayer = CCLayer:create()
	pUiLayer:addChild(pActionLayer)
	pActionLayer:setTag(1)
	
	local pSprite = helper:getPriteByCache('back_3.png') --背景狂
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pActionLayer:addChild(pSprite)
		
	local pSprite = helper:getPriteByCache('finish_s_title.png') --胜利
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2+380))
	pActionLayer:addChild(pSprite)
	
	local pSprite = helper:getPriteByCache('back_title.png') --草
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2+340))
	pActionLayer:addChild(pSprite)
	
	
	--得分星星等级
	start1 = helper:getPriteByCache('finish_star_s.png')
	start1:setPosition(ccp(screen_size.width/2 - 140, screen_size.height/2 + 295))
	start1:setRotation(-30)
	start1:setScale(0)
	--playParticle(start1,'ui/plist/stars.plist',80,75)
	pActionLayer:addChild(start1)

	start2 = helper:getPriteByCache('finish_star_s.png')
	start2:setPosition(ccp(screen_size.width/2, screen_size.height/2 + 295))
	start2:setScale(0)
	--playParticle(start2,'ui/plist/stars.plist',80,75)
	pActionLayer:addChild(start2)

	start3 = helper:getPriteByCache('finish_star_s.png')
	start3:setPosition(ccp(screen_size.width/2 + 140, screen_size.height/2 + 295))
	--playParticle(start3,'ui/plist/stars.plist',80,75)
	start3:setScale(0)
	start3:setRotation(30)
	pActionLayer:addChild(start3)
	
	showStar()
	
	--关卡描述
	
	
	local xpSprite = helper:getPriteByCache('finish_s_words.png');
	xpSprite:setPosition(ccp(screen_size.width/2, screen_size.height/2+180))
	pActionLayer:addChild(xpSprite,1)
	
	--结算的分数
	lablescore = DigitLable:createCache('ui/gameui/gameother.png')
	lablescore:setPoint(4)
	lablescore:setDigitNumAuto(GameLevel:GetInstance():getScore(),'scorel_')
	lablescore:setPixGap(-13)
	lablescore:setPosition(ccp(screen_size.width/2+45, screen_size.height/2+110))
	pActionLayer:addChild(lablescore,1)
	
	
	--历史分数
	local heights = getLocalTopScore()
	if heights > 0 then
		local pSprite = helper:getPriteByCache('finish_history_store.png')
		pSprite:setPosition(ccp(screen_size.width/2-100+40,screen_size.height/2 + 32-5))
		pActionLayer:addChild(pSprite)
		
		local topscore = DigitLable:createCache('ui/gameui/gameother.png')
		topscore:setDigitNum(heights,'scoret_')
		topscore:setPixGap(-2)
		topscore:setAnchorPoint(ccp(0,0.5))
		topscore:setPosition(ccp(190+10, 15))
		pSprite:addChild(topscore,1)
	end 

	
	--关卡获奖提示语

	--显示分数信息
	--step1:本次分数数字显示
	--step2:历史最高分 + 数字显示

	--历史最高分提示，先不写判断，本次得分大于以前最高则显示
	topestScore = helper:getPriteByCache('finish_top_sore.png')
	topestScore:setPosition(ccp(screen_size.width/2+230,screen_size.height/2+110))
	topestScore:setScale(5)
	pActionLayer:addChild(topestScore,1)
	topestScore:setVisible(false)
	
	local array = CCArray:create()
	array:addObject(CCDelayTime:create(2))
	array:addObject(CCCallFunc:create(showHightestScore))
	local action  = CCSequence:create(array)
	topestScore:runAction(action)
	
	
	--奖励内容部分
	local pSprite = helper:getPriteByCache('finish_words.png')
	pSprite:setPosition(ccp(screen_size.width/2 - 140+20, screen_size.height/2 -20))
	pActionLayer:addChild(pSprite)
	
	local pSprite = helper:getPriteByCache('dimand_1.png')
	pSprite:setPosition(ccp(screen_size.width/2 - 80+20, screen_size.height/2 - 20+5))
	pActionLayer:addChild(pSprite)
	
	----添加金币数值显示
	local stars = GameLevel:GetInstance():getStar()
	local mmx = 5
	if stars == 2 then
		mmx = 10  
	end 
	if stars == 3 then
		mmx = 15 
	end 

	if currentIPass then
		mmx = 0
	end 

	local lable = DigitLable:createCache('ui/common/common.png')
	lable:setPixGap(-4)
	lable:setAnchorPoint(ccp(0,0))
	lable:setDigitNum(mmx,'lifedimanod_')  --暂时显示
	lable:setPosition(ccp(screen_size.width/2 - 65+30+5, screen_size.height/2 - 20))
	pUiLayer:addChild(lable)

	----生命值，这里可能不显示，要加判断
	local pSprite = helper:getPriteByCache('life.png')
	pSprite:setPosition(ccp(screen_size.width/2+20, screen_size.height/2 - 20))
	pActionLayer:addChild(pSprite)
	
	local pSprite = helper:getPriteByCache('life_incerse.png')
	pSprite:setPosition(ccp(screen_size.width/2 + 30+10+20, screen_size.height/2 - 20))
	pActionLayer:addChild(pSprite)
	
	----添加生命值奖励显示
	local pSprite = helper:getPriteByCache('life_1.png')
	pSprite:setPosition(ccp(screen_size.width/2 + 51+15+20, screen_size.height/2 - 20))
	pActionLayer:addChild(pSprite)
	
	local beat = User:GetInstance():getBeats()
	
	if beat > -1 then 
		local pSprite = helper:getPriteByCache('finish_beats.png')
		pSprite:setPosition(ccp(screen_size.width/2, screen_size.height/2 - 230))
		pActionLayer:addChild(pSprite)

		local pSpritxe = helper:getPriteByCache('finish_5.png')
		pSpritxe:setPosition(ccp(225+15, 17))
		pSprite:addChild(pSpritxe)
		
		local beats = DigitLable:createCache('ui/gameui/gameother.png')
		beats:setDigitNum(User:GetInstance():getBeats(),'beat_')
		beats:setPixGap(-9)
		beats:setAnchorPoint(ccp(1,0.5))
		beats:setPosition(ccp(205+15, 17))
		pSprite:addChild(beats,1)
		
		local array = CCArray:create()
		--array:addObject(CCMoveTo:create(0.2,ccp(screen_size.width/2+180+200,screen_size.height/2+110-200)))
		array:addObject(CCMoveTo:create(2,ccp(screen_size.width/2-140, screen_size.height/2 - 230)))
		array:addObject(CCMoveTo:create(2,ccp(screen_size.width/2+140, screen_size.height/2 - 230)))
		local action  = CCSequence:create(array)
		--pSprite:runAction(CCRepeatForever:create(action))
	end 
	
	
	
	
	--下面的操作按钮	
	local pSprite = helper:get9PriteByCache('finish_refersh.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(125,125))

	pBtn:setPosition(ccp(screen_size.width/2 - 200 + 123, screen_size.height/2 - 130))
	pActionLayer:addChild(pBtn)
	local function onBtnTryAgain()
		User:GetInstance().posty = 0;
		lablescore:stopAuto();
		local cur_level = GameLevel:GetInstance():getCurLevel()
		gotoMap(cur_level)

		pBtn:setTouchEnabled(false)
	end
	pBtn:addHandleOfControlEvent(onBtnTryAgain,CCControlEventTouchUpInside)
	doImageAction(pBtn)
		
	--微博	
	local pSprite = helper:get9PriteByCache('finish_weibo.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(246,125))

	pBtn:setPosition(ccp(screen_size.width/2, screen_size.height/2 - 130))
	pActionLayer:addChild(pBtn)	
	doImageAction(pBtn)

	local function onBtnWeixin()
		show_weixin_share(pGameScene)
	end
	pBtn:addHandleOfControlEvent(onBtnWeixin,CCControlEventTouchUpInside)
	pBtn:setVisible(false)
		
	
	local pSprite = helper:get9PriteByCache('finish_next.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(125,125))

	pBtn:setPosition(ccp(screen_size.width/2 + 200-123, screen_size.height/2 - 130))
	pActionLayer:addChild(pBtn)
	local function onBtnNextLevel()	
		User:GetInstance().posty = 0;
		lablescore:stopAuto();
		local cur_level = GameLevel:GetInstance():getCurLevel()
		if cur_level < 96 then 
			local isPass = User:GetInstance():isPass(cur_level+1)
			if isPass then 
				gotoMap(cur_level+1)
			else
				--local mapScene = GameMapScene:create()
				--松鼠游走
				--show_go_path(cur_level)
				--local reScene = CCTransitionFade:create(0.4,mapScene)
				--CCDirector:sharedDirector():replaceScene(reScene)
				gotoMap(cur_level,true)
			end
		else
		    --显示后续制作
			gotoMap(-1)
			
		end 
		pBtn:setTouchEnabled(false)
	end
	doImageAction(pBtn)
	pBtn:addHandleOfControlEvent(onBtnNextLevel,CCControlEventTouchUpInside)
	
	
	
	local helper = UIUtils:create();
	--添加松鼠
	local pSprite = helper:getPriteByCache('eat_1.png')
	pSprite:setScale(1.8)
	pSprite:setPosition(ccp(screen_size.width-175+40, 140))
	pActionLayer:addChild(pSprite)
	
	showEat(pSprite)


	local cur_level = GameLevel:GetInstance():getCurLevel()
	if cur_level == 1 then 
		local isQ = User:GetInstance():getValue('level_1_success') > 0;

		if not isQ then 

			local handler = helper:getPriteByCache('guideimgs_8.png');
			handler:setPosition(ccp(screen_size.width/2 + 240-123, screen_size.height/2 - 130-40))
			pActionLayer:addChild(handler,22)

			local actionArray = CCArray:create()
			actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.7),CCMoveBy:create(0.3,ccp(10,10))))
			actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.6),CCMoveBy:create(0.3,ccp(-10,-10))))
			local action  = CCRepeatForever:create(CCSequence:create(actionArray))
			handler:runAction(action)

			User:GetInstance():addValue('level_1_success',1);

		end 
	end 

end

--挑战失败界面
function load_challenge_failed_ani()
	local helper = UIUtils:create()
	hidden_gamepause_ui()
	playEffects(enSound_levelFailed,false)

	local cur_level = GameLevel:GetInstance():getCurLevel()
	User:GetInstance():talkingOnLevelFailed(cur_level);

	local pGameScene = GameLevel:GetInstance():getGameScene()
	local pColorBack = CCLayerColor:create(ccc4(0,0,0,0))
	pColorBack:runAction(CCFadeTo:create(0.2,140))
	pGameScene:addChild(pColorBack,1)

	local pUiLayer = CCLayer:create()
	pColorBack:addChild(pUiLayer, 2)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() 
		end end,false,1,true)
		
	pUiLayer:setTouchEnabled(true)

	--背景图片层
	local pSprite = helper:getPriteByCache('grass_back.png')
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setPosition(ccp(screen_size.width/2,0))
	pUiLayer:addChild(pSprite)
	
	--子层，放置内容
	local pActionLayer = CCLayer:create()
	pUiLayer:addChild(pActionLayer)
	pActionLayer:setTag(1)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width-60,screen_size.height/2+310))
	pUiLayer:addChild(pBtn,2)
	local function onBtnClose()
		User:GetInstance().posty = 0;
		playEffects(enSound_MenuBtn,false)
		local cur_level = GameLevel:GetInstance():getCurLevel()
		gotoMap(0)
		pBtn:setTouchEnabled(false);
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	local pSprite = helper:getPriteByCache('back_3.png') --背景狂
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pActionLayer:addChild(pSprite)
		
	local pSprite = helper:getPriteByCache('finish_f_title.png') --胜利
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2+380))
	pActionLayer:addChild(pSprite)
	
	local pSprite = helper:getPriteByCache('back_title.png') --草
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2+340))
	pActionLayer:addChild(pSprite)
	
	
	--得分星星等级
	local pSprite = helper:getPriteByCache('finish_star.png')
	pSprite:setPosition(ccp(screen_size.width/2 - 140, screen_size.height/2 + 295))
	pSprite:setRotation(-30)
	pActionLayer:addChild(pSprite)

	local pSprite = helper:getPriteByCache('finish_star.png')
	pSprite:setPosition(ccp(screen_size.width/2, screen_size.height/2 + 295))
	pActionLayer:addChild(pSprite)

	local pSprite = helper:getPriteByCache('finish_star.png')
	pSprite:setPosition(ccp(screen_size.width/2 + 140, screen_size.height/2 + 295))
	pSprite:setRotation(30)
	pActionLayer:addChild(pSprite)
	
	
	--关卡描述
	
	local xpSprite = helper:getPriteByCache('finish_f_words.png');
	xpSprite:setPosition(ccp(screen_size.width/2, screen_size.height/2+180))
	pActionLayer:addChild(xpSprite,1)
	
	--结算的分数
	local lablescore = DigitLable:createCache('ui/gameui/gameother.png')
	lablescore:setDigitNum(GameLevel:GetInstance():getScore(),'scorel_')
	lablescore:setPixGap(0)
	lablescore:setPosition(ccp(screen_size.width/2+20, screen_size.height/2+110))
	pActionLayer:addChild(lablescore,1)
	
	--历史分数
	local heights = 0
	if heights > 0 then 
		local pSprite = helper:getPriteByCache('finish_history_store.png')
		pSprite:setPosition(ccp(screen_size.width/2-100+40,screen_size.height/2 + 32-10))
		pActionLayer:addChild(pSprite)
		
		local topscore = DigitLable:createCache('ui/gameui/gameother.png')
		topscore:setDigitNum(GameLevel:GetInstance():getScore(),'scoret_')
		topscore:setPixGap(-2)
		topscore:setAnchorPoint(ccp(0,0.5))
		topscore:setPosition(ccp(190, 15))
		pSprite:addChild(topscore,1)
	end 

	
	----生命值，这里可能不显示，要加判断
	local pSprite = helper:getPriteByCache('exit_text_img.png')
	pSprite:setScale(0.5)
	pSprite:setPosition(ccp(screen_size.width/2+20-50, screen_size.height/2-35+20))
	pActionLayer:addChild(pSprite)
	
	local pSprite = helper:getPriteByCache('life_decerrse.png')
	pSprite:setPosition(ccp(screen_size.width/2 + 10+10, screen_size.height/2-35+20))
	pActionLayer:addChild(pSprite)
	
	----添加生命值奖励显示
	local pSprite = helper:getPriteByCache('life_1.png')
	pSprite:setPosition(ccp(screen_size.width/2 + 25+10, screen_size.height/2-35+20))
	pActionLayer:addChild(pSprite)
	
	
	--下面的操作按钮	
	local pSprite = helper:get9PriteByCache('finish_agian.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(296,125))

	pBtn:setPosition(ccp(screen_size.width/2, screen_size.height/2 - 130))
	pActionLayer:addChild(pBtn)
	local function onBtnTryAgain()

		User:GetInstance().posty = 0;
		local cur_level = GameLevel:GetInstance():getCurLevel()

		api_action_scale_hide(pUiLayer);
		gotoMap(cur_level)
		pBtn:setTouchEnabled(false);

	end
	pBtn:addHandleOfControlEvent(onBtnTryAgain,CCControlEventTouchUpInside)
		
	
	--添加松鼠
	local helper = UIUtils:create();
	local pSprite = helper:getPriteByCache('LOSE1_1.png')
	pSprite:setScale(1.8)
	pSprite:setPosition(ccp(screen_size.width-100, 130))
	pActionLayer:addChild(pSprite)
	
	showLost(pSprite)
	
	--扣心操作
	User:GetInstance():useToy(enToyType_Life);
end



function hidden_gamepause_ui()
	local pGameScene = GameLevel:GetInstance():getGameScene()	
	if pGameScene then
		local pBackLayer = pGameScene:getChildByTagName('gamepasus_layer')
		if pBackLayer then 
			api_action_scale_hide(pBackLayer)
			--pBackLayer:runAction(CCFadeTo:create(0.3,0))
		end 
    end
end 


function show_gamepause_ui()
	local helper = UIUtils:create()
	local pGameScene = GameLevel:GetInstance():getGameScene()	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	local pBackLayer = CCLayerColor:create(ccc4(0,0,0,0))
	pBackLayer:runAction(CCFadeTo:create(0.2,100))
	pGameScene:addChild(pBackLayer,100)
	pBackLayer:setTagName('gamepasus_layer')
	
	pBackLayer:setOpacity(0)
	
	pUiLayer = CCLayerRGBA:create()
	pBackLayer:addChild(pUiLayer,101)
	
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,1,true)
	pUiLayer:setTouchEnabled(true)


	local pSpriteBack = helper:getPriteByCache('back_1.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('back_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+270))
	pUiLayer:addChild(pSpriteBack)
	
	--设置标题
	local pSpriteBack = helper:getPriteByCache('pause_text.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+270))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+240))
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		playEffects(enSound_CloseBtn,false)
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)


	--返回按钮
	local pSprite = helper:get9PriteByCache('btn_back.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(124, 124))
	pBtn:setPosition(ccp(screen_size.width/2-160,screen_size.height/2+70))
	pUiLayer:addChild(pBtn)
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	local pSprite = helper:getPriteByCache('Btnimg_menu.png')
	pSprite:setPosition(ccp(62,62))
	pBtn:addChild(pSprite)
	local function back_to_map()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))

		playEffects(enSound_MenuBtn,false)
		showLifeDelte(pGameScene,true)
	end
	pBtn:addHandleOfControlEvent(back_to_map,CCControlEventTouchUpInside)
	doImageAction(pBtn)
	
	--重试按钮
	local pSprite = helper:get9PriteByCache('btn_back.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(124, 124))

	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2+70))
	pUiLayer:addChild(pBtn)
	local function onBtnAgain()	
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))

		playEffects(enSound_MenuBtn,false)
		showLifeDelte(pGameScene,false)
	end
	pBtn:addHandleOfControlEvent(onBtnAgain,CCControlEventTouchUpInside)
	doImageAction(pBtn)
	
	local pSprite = helper:getPriteByCache('Btnimg_again.png')
	pSprite:setPosition(ccp(62,62))
	pBtn:addChild(pSprite)	
	
	--设置按钮
	local pSprite = helper:get9PriteByCache('btn_back.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(124, 124))

	pBtn:setPosition(ccp(screen_size.width/2+165,screen_size.height/2+70))
	pUiLayer:addChild(pBtn)
	local function onBtnSetting()	
		--pGameScene:removeChildByTag(7, true)
		--打开设置面板
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))

		playEffects(enSound_MenuBtn,false)
		show_setting(pGameScene);
	end
	pBtn:addHandleOfControlEvent(onBtnSetting,CCControlEventTouchUpInside)
	doImageAction(pBtn)
	
	local pSprite = helper:getPriteByCache('Btnimg_setting.png')
	pSprite:setPosition(ccp(62,62))
	pBtn:addChild(pSprite)
	
	--继续游戏
	local pSprite = helper:get9PriteByCache('btn_yellow.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(300,126))

	local function onBtnBack()

		playEffects(enSound_MenuBtn,false)
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
	end
	
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-115))
	pUiLayer:addChild(pBtn)
	pBtn:addHandleOfControlEvent(onBtnBack,CCControlEventTouchUpInside)
	doImageActionY(pBtn)
	
	local pSprite = helper:getPriteByCache('continue2.png')
	pSprite:setPosition(ccp(150,63))
	pBtn:addChild(pSprite)

	api_action_scale_show(pUiLayer)
end

--震动
function jumpScreen(layer)
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.02, ccp(-8, 15)))
	array:addObject(CCMoveBy:create(0.05, ccp(16, -30)))
	array:addObject(CCMoveBy:create(0.02, ccp(-8, 15)))
	pUiLayer:runAction(CCRepeat:create(CCSequence:create(array), 5));
end 

function showStar()
	local index = 0
	
	local function getSprite()
		local pSprite
		if index == 0 then 
			pSprite = start1;
		elseif index == 1 then 
			pSprite = start2;
		elseif index == 2 then  
			pSprite = start3;
		else
			return;
		end
		return pSprite
	end 
	
	local function play()
		pSprite = getSprite()
		if pSprite then	
			playParticle(pSprite,'ui/plist/hearts_star.plist',85,85)
		end
	end
	
	local function big()
		pSprite = getSprite()
		if pSprite then		
			local stars = GameLevel:GetInstance():getStar()
			if stars == 0 then 
				stars = 1
			end
			if stars < index+1 then
				changImagCache(pSprite,'finish_star.png')
			else
			    playParticle(pSprite,'ui/plist/stars.plist',80,75)
			end 
			
			local array = CCArray:create()
			array:addObject(CCScaleTo:create(0.5,1))
			if stars >= index+1 then
				array:addObject(CCCallFunc:create(play))
			end
			array:addObject(CCCallFunc:create(big))			
			local action  = CCSequence:create(array)
			pSprite:runAction(action)
			index = index + 1;
		end
	end
	
	big()

end


function showHightestScore()
	local newscore = GameLevel:GetInstance():getScore()
	local val = newscore > getLocalTopScore()
	--val = true
	if val then 
		topestScore:setVisible(true)
			
		local function jumpx()
			jumpScreen(topestScore)
		end		
			
		local array = CCArray:create()
		array:addObject(CCFadeTo:create(0.12,100))
		--array:addObject(CCDelayTime:create(0.5))
		array:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.2,1),CCFadeTo:create(0.2,255)))
		array:addObject(CCCallFunc:create(jumpx))
		local action  = CCSequence:create(array)
		topestScore:runAction(action)
	end
end


