
-- 游戏界面

local backgrouds_pic = {
	{levelstart = 1, levelend = 5,bottom='ui/gameui/back/woods_buttom.data',back='ui/gameui/back/woods_back1.d2',type=1,},
	{levelstart = 6, levelend = 12,bottom='ui/gameui/back/woods_buttom.data',back='ui/gameui/back/woods_back.d2',type=1,},
	{levelstart = 13, levelend = 20,bottom='ui/gameui/back/woods_buttom.data',back='ui/gameui/back/woods_back3.d2',type=1,},
	{levelstart = 21, levelend = 35,bottom='ui/gameui/back/desert_buttom.data',back='ui/gameui/back/desert_back.d2',type=2,},
	{levelstart = 36, levelend = 58,bottom='ui/gameui/back/ice1_buttom.data',back='ui/gameui/back/ice1_back.d2',type=3,},
	{levelstart = 59, levelend = 75,bottom='ui/gameui/back/ice_buttom.data',back='ui/gameui/back/ice_back.d2',type=4,},
	{levelstart = 76, levelend = 100,bottom='ui/gameui/back/city_buttom.data',back='ui/gameui/back/city_back.d2',type=5,},
 }

pUiLayer = nil
scorelable = nil
readyback = nil


timeLable = nil
timeRoate = nil
timeStart = 10

qiehBtn = nil
qieSBtn = nil  --松鼠切换
qieCBtn = nil  --点击槽切换

pauseBtn = nil

progress = nil
oldstar = nil   --星的数量 
oldprecent = nil --

gameWin = false
backSteping = false

toolsBuyBtn = nil; --全局的选择的道具

--预发球（槽内）
local qiuNumLable = nil
local qiuNumBack = nil

--切换器
local qiehuanLeft
local qiehuanRight

--历史分数
local historyScore

--连击
linkLayer = nil
scroelinkNum = nil
scroelink = nil
scoreLine = nil
scoreLine2 = nil
scoreZan = nil

--三颗星
scoreStar1 = nil
scoreStar2 = nil
scoreStar3 = nil

lightToolsBack = nil
currentIPass = nil

local function load_top_layer(pGameScene)
	local helper = UIUtils:create()
	hiddenLoading();
	gameWin = false
	local screen_size = CCDirector:sharedDirector():getWinSize()
	historyScore = User:GetInstance():getHistoryScore(GameLevel:GetInstance():getCurLevel())
	
	pUiLayer = CCLayer:create()
	pGameScene:addChild(pUiLayer,1)	

	currentIPass = User:GetInstance():isPass(GameLevel:GetInstance():getCurLevel())
	
	--顶部云
	pSprite = helper:getPriteByCache('game_top.png')
	pSprite:setAnchorPoint(ccp(0,1))
	pSprite:setPosition(ccp(0,screen_size.height))
	pUiLayer:addChild(pSprite)
	
	--关卡背景
	local pSprite = helper:getPriteByCache('top_middle.png');
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height-44))
	pUiLayer:addChild(pSprite)
	
	--关卡展示
	local gamelevel = DigitLable:createCache('ui/gameui/gameother.png')
	gamelevel:setPixGap(-4)
	gamelevel:setDigitNum(GameLevel:GetInstance():getCurLevel(),'gamelevel_')
	gamelevel:setPosition(ccp(70,44)) 
	pSprite:addChild(gamelevel)
	
	--三星控制
	local pSprite = helper:getPriteByCache('score_jindu.png')
	pSprite:setAnchorPoint(ccp(0,1))
	pSprite:setPosition(ccp(9,screen_size.height-20))
	pUiLayer:addChild(pSprite)
	
	local pSprite = helper:getPriteByCache('score_kuang.png')
	progress = CCProgressTimer:create(pSprite)
	progress:setAnchorPoint(ccp(0,1))
	progress:setPosition(ccp(9,screen_size.height-20))
	progress:setType(kCCProgressTimerTypeBar);
	progress:setMidpoint(ccp(0,0));
	progress:setBarChangeRate(ccp(1, 0));
	--progress:setPosition(ccp(95,screen_size.height-60))
	pUiLayer:addChild(progress)
	
	--progress:runAction(action)
	
	
	scoreStar1 = helper:getPriteByCache('score_star_n1.png')
	scoreStar1:setPosition(ccp(70,screen_size.height-30))
	pUiLayer:addChild(scoreStar1)
	
	scoreStar2 = helper:getPriteByCache('score_star_n2.png')
	scoreStar2:setPosition(ccp(132,screen_size.height-30))
	pUiLayer:addChild(scoreStar2)
	
	scoreStar3 = helper:getPriteByCache('score_star_n3.png')
	scoreStar3:setPosition(ccp(194,screen_size.height-30))
	pUiLayer:addChild(scoreStar3)
	
	--分数
	scorelable = DigitLable:createCache('ui/gameui/gameother.png')
	scorelable:setPixGap(-2)
	scorelable:setDigitNum(0,'scroeg_')
	scorelable:setPosition(ccp(93+9,screen_size.height-55))
	pUiLayer:addChild(scorelable)
	scorelable:setTagName('bb_score')
	
	--最高纪录
	local isPass = User:GetInstance():isPass(GameLevel:GetInstance():getCurLevel())
	if isPass then
		local pSprite = helper:getPriteByCache('score_heightest.png')
		pSprite:setPosition(ccp(screen_size.width/2+145,screen_size.height-25))
		pUiLayer:addChild(pSprite)
	
		local heightest = DigitLable:createCache('ui/gameui/gameother.png')
		heightest:setPixGap(-2)
		heightest:setDigitNum(historyScore,'scroeg_')
		heightest:setPosition(ccp(screen_size.width/2+150,screen_size.height-55))
		pUiLayer:addChild(heightest)
	end 
	
	
	--暂停控制
	pauseBtn = CCControlButton:create()
	pauseBtn:setBackgroundSpriteForState(helper:get9PriteByCache('pause_btn_n.png'),CCControlStateNormal);
	pauseBtn:setBackgroundSpriteForState(helper:get9PriteByCache('pause_btn_s.png'),CCControlStateHighlighted);
	pauseBtn:setPreferredSize(CCSizeMake(76,76))
	pauseBtn:setPosition(ccp(screen_size.width-45,screen_size.height-35))
	pUiLayer:addChild(pauseBtn)
	pauseBtn:setTouchEnabled(false)
	local function onBtnPause()	
		if gameWin then 
			return;
		end
		playEffects(enSound_MenuBtn,false)
		show_gamepause_ui()
		-- showLuckdraw(pGameScene)
		--show_niub()
		--show_nofruit_ui()
		--show_failureMessage()
		--load_challenge_succ_ui()
		--show_dead()
        --local pCircle=CCSprite:create('ui/gameui/circle.png');
        --pCircle:setPosition(ccp(screen_size.width/2, screen_size.height/2));
        --pCircle:setScale(0.01);
        --pUiLayer:addChild(pCircle);
        
        --local to1=CCScaleTo:create(0.5, 1.0);
        --local to2=CCScaleTo:create(0.6, 2.0);
        --local fadeOut=CCFadeOut:create(0.5);
        --local spawn= CCSpawn:createWithTwoActions(to2,fadeOut);
        --local sequence= CCSequence:createWithTwoActions(to1,spawn);
        --pCircle:runAction(sequence);
		
		--local pGameScene = GameLevel:GetInstance():getGameScene()
		--local bbLayer = pGameScene:getBBlayer()
		--bbLayer:onShowScore(ccp(0,0))
		
	end
	--doImageAction(pBtn)
	pauseBtn:addHandleOfControlEvent(onBtnPause,CCControlEventTouchUpInside)
	pauseBtn:setHighlighted(false)
	
	
	oldprecent = 0
	oldstar = 0
end

local function load_back_layer(pGameScene)
	local pUiLayer = CCLayer:create()
	pGameScene:addChild(pUiLayer,-1)
	pUiLayer:setTag(-10)
	
	local pSprite = CCSprite:create(getCurBak().back)
	pSprite:setAnchorPoint(ccp(0,0))
	pSprite:setPosition(ccp(0,0))
	pUiLayer:addChild(pSprite)
end

local pBtnSline = nil
pBtnRainBown = nil
pBtnBomb = nil
pBtnFire = nil
pBtnBackStep = nil
pBtnChuanTou = nil
pBtnFengyin = nil

function refresh_toy_num()
	showToolsNum(pBtnRainBown,User:GetInstance():getToyNum(enToyType_Rainbow))
	showToolsNum(pBtnBomb,User:GetInstance():getToyNum(enToyType_Bomb))
	showToolsNum(pBtnFire,User:GetInstance():getToyNum(enToyType_Fire))
	showToolsNum(pBtnBackStep,User:GetInstance():getToyNum(enToyType_Back_Step))
	showToolsNum(pBtnChuanTou,User:GetInstance():getToyNum(enToyType_Chuan_Tou))
	local num = User:GetInstance():getToyNum(enToyType_Fengying)
	print("封印球数"..num)
	showToolsNum(pBtnFengyin,User:GetInstance():getToyNum(enToyType_Fengying))
	local num = User:GetInstance():getToyNum(enToyType_Fengying)
	print("封印球数"..num)
end

function showToolsNum(toolBtn,num)
	local helper = UIUtils:create()
	if toolBtn ~= nil then
		toolBtn:removeChildByTag(1,true)
		toolBtn:removeChildByTag(2,true)
		local width = 52
		local numWidth = 89
		if num >= 10 then
			width = 42
			numWidth = 100
		end
		
		if num <= 0 then
			local pSprite = helper:getPriteByCache('item_add.png')
			pSprite:setPosition(ccp(72,25))
			pSprite:setTag(1)
			toolBtn:addChild(pSprite)
			toolBtn:setHighlighted(false)
		else
			local pSprite = helper:getPriteByCache('tools_x.png')
			pSprite:setPosition(ccp(width,30))
			pSprite:setTag(2)
			toolBtn:addChild(pSprite)
		
			lable = DigitLable:createCache('ui/gameui/gameother.png')
			lable:setPixGap(-1)
			lable:setAnchorPoint(ccp(0,0.5))
			lable:setDigitNum(num,'toolsnums_')
			lable:setPosition(ccp(width+20,30))
			lable:setTag(1)
			toolBtn:addChild(lable)
		end
	end
end 


function load_game_ui(pGameScene)
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()

	local pBubbleLayer = pGameScene:getChildByTag(1)
	local pUiLayer_Back = CCLayer:create()
	pBubbleLayer:addChild(pUiLayer_Back,2)
	pUiLayer_Back:setTagName('bb_back')
	
	local pUiLayer_Front = CCLayer:create()
	pBubbleLayer:addChild(pUiLayer_Front,20)
	pUiLayer_Front:setTag(2)

	local pUiLayer_Tools = CCLayer:create()
	pBubbleLayer:addChild(pUiLayer_Tools,22)
	pUiLayer_Tools:setTag(2)
	
	local pSprite = CCSprite:create(getCurBak().bottom)
	pSprite:setAnchorPoint(ccp(0,0))
	pSprite:setPosition(ccp(0,0))
	pBubbleLayer:addChild(pSprite,-1)
	
	--剩余球背景
	local pSprite = helper:getPriteByCache('shengyu.png')
	pSprite:setPosition(ccp(76,210))
	pUiLayer_Back:addChild(pSprite)
	
	qiuNumBack = helper:getPriteByCache('ten_back2.png')
	qiuNumBack:setPosition(ccp(76,220))
	pUiLayer_Back:addChild(qiuNumBack)
	qiuNumBack:setVisible(false)
	
	--剩余球
	local bbleft = GameLevel:GetInstance():getBBleft();
	--local hasThree = User:GetInstance():getToyNum(enToyType_ThreeBall)
	--if hasThree > 0 then 
	--	bbleft = bbleft-1
	--end 
	--bbleft = bbleft-1
	
	qiuNumLable = DigitLable:createCache('ui/gameui/gameother.png')
	qiuNumLable:setPixGap(-2)
	qiuNumLable:setPosition(ccp(90,225))
	pUiLayer_Back:addChild(qiuNumLable)
	qiuNumLable:setDigitNum(bbleft,'qiu_')
	qiuNumLable:setTagName('qiu_num')
	
	
	

	--剩余球槽内
	local pSprite = helper:getPriteByCache('cao_nei.png')
	pSprite:setAnchorPoint(ccp(0,0.5))
	pSprite:setPosition(ccp(0,165))
	pUiLayer_Back:addChild(pSprite)
	
	--剩余球槽外
	local pSprite = helper:getPriteByCache('cao_wai.png')
	pSprite:setAnchorPoint(ccp(0,0.5))
	pSprite:setPosition(ccp(0,150))
	pUiLayer_Front:addChild(pSprite,20)
	
	local newsTools = User:GetInstance():getToyNum(enToyType_Change)
	
	--切换图片
	local pSprite = CCScale9Sprite:create()
	qiehBtn = CCControlButton:create(pSprite)
	qiehBtn:setTag(9997)
	qiehBtn:setOpacity(0)
	qiehBtn:setPreferredSize(CCSizeMake(174,88))
	
	qiehBtn:setPosition(ccp(170+30,150))
	pUiLayer_Back:addChild(qiehBtn)
	
	qiehuanLeft = helper:getPriteByCache('qiehuan_left.png')
	qiehuanLeft:setPosition(ccp(40+40,10+20+2))
	qiehBtn:addChild(qiehuanLeft)
	
	qiehuanRight = helper:getPriteByCache('qiehuan_right.png')
	qiehuanRight:setPosition(ccp(70+40+3,30+20+5))
	qiehBtn:addChild(qiehuanRight)
	
	--切换事件
	local function onBtnChangeBubble(event,pBtn)
		local nums = User:GetInstance():getToyNum(enToyType_Change)

		if nums <= 0 then
			local isFree = User:GetInstance():getToyNum(enToyType_freeChange);
			local level = GameLevel:GetInstance():getCurLevel()
			if isFree > 0 and level >=1 and level <= 8 then 
				qiehuanRight:stopAllActions();
				qiehuanLeft:stopAllActions();
				local pGameScene = GameLevel:GetInstance():getGameScene()
				local bbLayer = pGameScene:getBBlayer()
				bbLayer:startChange()
				return;
			end
		end 

		if nums > 0 then 
			qiehuanRight:stopAllActions();
			qiehuanLeft:stopAllActions();
			local pGameScene = GameLevel:GetInstance():getGameScene()
			local bbLayer = pGameScene:getBBlayer()
			bbLayer:startChange()
		else 
			if pBtn:getTag() == 9997 then 
				showToyBuy(enToyType_Change)		
			end 
		end 
	end
	qiehBtn:addHandleOfControlEvent(onBtnChangeBubble,CCControlEventTouchUpInside)
	
	if newsTools == 0 then
		--qiehBtn:setVisible(false)
	end 
	--点击松鼠切换
	qieSBtn = CCControlButton:create(CCScale9Sprite:create())
	qieSBtn:setPreferredSize(CCSizeMake(130,200))
	qieSBtn:setAnchorPoint(ccp(0.5,0))
	qieSBtn:setPosition(ccp(screen_size.width/2+5-40+40,85))
	pUiLayer_Back:addChild(qieSBtn)
	qieSBtn:setOpacity(1)
	qieSBtn:addHandleOfControlEvent(onBtnChangeBubble,CCControlEventTouchUpInside)
	
	qieCBtn = CCControlButton:create(CCScale9Sprite:create())
	qieCBtn:setAnchorPoint(ccp(0,0.5))
	qieCBtn:setPreferredSize(CCSizeMake(130,140))
	qieCBtn:setPosition(ccp(0,160))
	pUiLayer_Back:addChild(qieCBtn)
	qieCBtn:setTag(9997)
	qieCBtn:addHandleOfControlEvent(onBtnChangeBubble,CCControlEventTouchUpInside)
	
	
	
	
	--阴影
	local pSprite = helper:getPriteByCache('shader.png')
	pSprite:setPosition(ccp(screen_size.width/2-40+40,110))
	pUiLayer_Back:addChild(pSprite)
	
	--松鼠
	local pSprite = helper:getPriteByCache('T1_90_FA_1.png')
	--pSprite:setAnchorPoint(ccp(0.7,0.5))
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setScale(1.8)
	pSprite:setPosition(ccp(screen_size.width/2+5-40+40,85))
	pUiLayer_Back:addChild(pSprite)
	--pSprite:setVisible(false)
	pSprite:setTag(1)


    ---gaung
	lightToolsBack = CCSprite:create('ui/welcome/finish_back.data')
	lightToolsBack:setScale(0.5)
	lightToolsBack:setPosition(ccp(screen_size.width/2,150))
	pUiLayer_Back:addChild(lightToolsBack)
	lightToolsBack:setVisible(false)

	
	--一排道具

	local pSprite = helper:get9PriteByCache('i_back.png')
	pBtnSline = CCControlButton:create(pSprite)
	pBtnSline:setPreferredSize(CCSizeMake(90, 90))
	pBtnSline:setPosition(ccp(screen_size.width - 55,160))
	pUiLayer_Tools:addChild(pBtnSline)
	local pSprite = helper:getPriteByCache('shop_pic.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnSline:addChild(pSprite)
	local function onBtnBuyAimline()
		ShopLayer:showTabls(GameLevel:GetInstance():getGameScene(),1) 
	end
	pBtnSline:addHandleOfControlEvent(onBtnBuyAimline,CCControlEventTouchUpInside)
	doImageAction(pBtnSline)

	local x = screen_size.width/7
	--彩虹球
	pBtnRainBown = CCControlButton:create()
	pBtnRainBown:setBackgroundSpriteForState(helper:get9PriteByCache('i_back.png'),CCControlStateNormal);
	pBtnRainBown:setBackgroundSpriteForState(helper:get9PriteByCache('i_back_s.png'),CCControlStateHighlighted);
	pBtnRainBown:setPreferredSize(CCSizeMake(90,90))
	pBtnRainBown:setPosition(ccp(x,55))
	pUiLayer_Tools:addChild(pBtnRainBown)	
	local pSprite = helper:getPriteByCache('rainbown.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnRainBown:addChild(pSprite)
	local function onBtnBuyRainbown()
		local result = onClick_use_toy(enToyType_Rainbow)
		if result then 
			local num = User:GetInstance():getToyNum(enToyType_Rainbow)
			if num >= 1 then 
				toolsBuyBtn = pBtnRainBown
				pBtnRainBown:setHighlighted(true)
				pBtnBomb:setHighlighted(false)
				pBtnFire:setHighlighted(false)
				pBtnBackStep:setHighlighted(false)
				pBtnChuanTou:setHighlighted(false)
				GameLevel:GetInstance():setUserToy(enToyType_Rainbow)
			end
		else
			toolsBuyBtn = nil
			pBtnRainBown:setHighlighted(false)
			GameLevel:GetInstance():setUserToy(enToyType_NULL)
		end
	end
	pBtnRainBown:addHandleOfControlEvent(onBtnBuyRainbown,CCControlEventTouchUpInside)
	doImageAction(pBtnRainBown)
	
	--炸弹
	pBtnBomb = CCControlButton:create()
	pBtnBomb:setBackgroundSpriteForState(helper:get9PriteByCache('i_back.png'),CCControlStateNormal);
	pBtnBomb:setBackgroundSpriteForState(helper:get9PriteByCache('i_back_s.png'),CCControlStateHighlighted);
	pBtnBomb:setPreferredSize(CCSizeMake(90, 90))
	pBtnBomb:setPosition(ccp(2*x,55))
	pUiLayer_Tools:addChild(pBtnBomb)
	local pSprite = helper:getPriteByCache('bomb.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnBomb:addChild(pSprite)
	local function onBtnBuyBomb()
		local result = onClick_use_toy(enToyType_Bomb)
		if result then 
			local num = User:GetInstance():getToyNum(enToyType_Bomb)
			if num >= 1 then 
				toolsBuyBtn = pBtnBomb
				pBtnBomb:setHighlighted(true)
				pBtnRainBown:setHighlighted(false)
				pBtnFire:setHighlighted(false)
				pBtnBackStep:setHighlighted(false)
				pBtnChuanTou:setHighlighted(false)
				GameLevel:GetInstance():setUserToy(enToyType_Bomb)
			end
		else
			toolsBuyBtn = nil
			pBtnBomb:setHighlighted(false)
			GameLevel:GetInstance():setUserToy(enToyType_NULL)
		end
	end
	pBtnBomb:addHandleOfControlEvent(onBtnBuyBomb,CCControlEventTouchUpInside)
	doImageAction(pBtnBomb)
	
	--加火球
	pBtnFire = CCControlButton:create()
	pBtnFire:setBackgroundSpriteForState(helper:get9PriteByCache('i_back.png'),CCControlStateNormal);
	pBtnFire:setBackgroundSpriteForState(helper:get9PriteByCache('i_back_s.png'),CCControlStateHighlighted);
	pBtnFire:setPreferredSize(CCSizeMake(90, 90))
	pBtnFire:setPosition(ccp(3*x,55))
	pUiLayer_Tools:addChild(pBtnFire)
	local pSprite = helper:getPriteByCache('tools_fire.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnFire:addChild(pSprite)
	local function onBtnBuyBomb()
		local result = onClick_use_toy(enToyType_Fire)
		if result then 
			local num = User:GetInstance():getToyNum(enToyType_Fire)
			if num >= 1 then 
				toolsBuyBtn = pBtnFire
				pBtnFire:setHighlighted(true)
				pBtnRainBown:setHighlighted(false)
				pBtnBomb:setHighlighted(false)
				pBtnBackStep:setHighlighted(false)
				pBtnChuanTou:setHighlighted(false)
				GameLevel:GetInstance():setUserToy(enToyType_Fire)
			end
		else
			toolsBuyBtn = nil
			pBtnFire:setHighlighted(false)
			GameLevel:GetInstance():setUserToy(enToyType_NULL)
		end
	end
	pBtnFire:addHandleOfControlEvent(onBtnBuyBomb,CCControlEventTouchUpInside)
	doImageAction(pBtnFire)
	
	--退一步瓶
	pBtnBackStep = CCControlButton:create()
	pBtnBackStep:setBackgroundSpriteForState(helper:get9PriteByCache('i_back.png'),CCControlStateNormal);
	pBtnBackStep:setBackgroundSpriteForState(helper:get9PriteByCache('i_back_s.png'),CCControlStateHighlighted);
	pBtnBackStep:setPreferredSize(CCSizeMake(90, 90))
	pBtnBackStep:setPosition(ccp(4*x,55))
	pUiLayer_Tools:addChild(pBtnBackStep)
	local pSprite = helper:getPriteByCache('Faint.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnBackStep:addChild(pSprite)
	local function onBtnBuyBomb()
		local state = GameLevel:GetInstance():getGameScene():getBBlayer():getShootState()
		if state ~= enShootState_Prepare then 
			return 
		end
		state = GameLevel:GetInstance():canBackStep()
		if state == false then 
			onClick_use_toy(enToyType_Back_Step)
			return 
		end 
		local result = onClick_use_toy(enToyType_Back_Step)
		--local num = User:GetInstance():getToyNum(enToyType_Back_Step)
		if result and backSteping == false then 

				backSteping = true 
				--num = num -1 
				User:GetInstance():useToy(enToyType_Back_Step)
				refresh_toy_num()
				local pGameScene = GameLevel:GetInstance():getGameScene()
				magicWaterAnimate(pGameScene)

		else
			toolsBuyBtn = nil
			pBtnBackStep:setHighlighted(false)
			GameLevel:GetInstance():setUserToy(enToyType_NULL)
		end
	end
	pBtnBackStep:addHandleOfControlEvent(onBtnBuyBomb,CCControlEventTouchUpInside)
	doImageAction(pBtnBackStep)
	
	--穿刺球
	pBtnChuanTou= CCControlButton:create()
	pBtnChuanTou:setBackgroundSpriteForState(helper:get9PriteByCache('i_back.png'),CCControlStateNormal);
	pBtnChuanTou:setBackgroundSpriteForState(helper:get9PriteByCache('i_back_s.png'),CCControlStateHighlighted);
	pBtnChuanTou:setPreferredSize(CCSizeMake(90, 90))
	pBtnChuanTou:setPosition(ccp(5*x,55))
	pUiLayer_Tools:addChild(pBtnChuanTou)
	local pSprite = helper:getPriteByCache('pierce.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnChuanTou:addChild(pSprite)
	local function onBtnBuyBomb()
		local result = onClick_use_toy(enToyType_Chuan_Tou)
		if result then 
			local num = User:GetInstance():getToyNum(enToyType_Chuan_Tou)
			cclog("穿刺球数量%d",num)
			if num >= 1 then 
				toolsBuyBtn = pBtnChuanTou
				pBtnChuanTou:setHighlighted(true)
				pBtnBackStep:setHighlighted(false)
				pBtnFire:setHighlighted(false)
				pBtnRainBown:setHighlighted(false)
				pBtnBomb:setHighlighted(false)
				GameLevel:GetInstance():setUserToy(enToyType_Chuan_Tou)
			end
		else
			toolsBuyBtn = nil
			pBtnChuanTou:setHighlighted(false)
			GameLevel:GetInstance():setUserToy(enToyType_NULL)
		end
	end
	pBtnChuanTou:addHandleOfControlEvent(onBtnBuyBomb,CCControlEventTouchUpInside)
	doImageAction(pBtnChuanTou)
	--封印球
	local pSprite = helper:get9PriteByCache('i_back.png')
	pBtnFengyin = CCControlButton:create(pSprite)
	pBtnFengyin:setPreferredSize(CCSizeMake(90, 90))
	pBtnFengyin:setPosition(ccp(6*x,55))
	pUiLayer_Tools:addChild(pBtnFengyin)
	local pSprite = helper:getPriteByCache('tools_fengyin.png')
	pSprite:setPosition(ccp(40,49))
	pSprite:setScale(0.8)
	pBtnFengyin:addChild(pSprite)
	local function onBtnBuyBomb()
		onClick_use_toy(enToyType_Fengying)
	end
	pBtnFengyin:addHandleOfControlEvent(onBtnBuyBomb,CCControlEventTouchUpInside)
	doImageAction(pBtnFengyin)

	refresh_toy_num()
	--refresh_bubbleNum()
	
	load_back_layer(pGameScene)
	load_top_layer(pGameScene)
	
	--展示背景图片
	showBackAni(pBubbleLayer)
	
	toolsBuyBtn = nil
end

function refresh_bubbleNum(isWin,bbNUms,isleft,dropNums,dropx,droptime,dropn,disNums)
	gameWin = isWin
	local pGameScene = GameLevel:GetInstance():getGameScene()
	if pGameScene == nil then
		return
	end

	if isWin == true then
		pauseBtn:setHighlighted(false);
	end
	
	local pBubbleLayer = pGameScene:getChildByTag(1)
	if pBubbleLayer == nil then
		return
	end
	local pUiLayer_Back = pBubbleLayer:getChildByTagName('bb_back')
	local pDigitLable = pUiLayer_Back:getChildByTagName('qiu_num')
	local bbleft = GameLevel:GetInstance():getBBleft();
	--local hasThree = User:GetInstance():getToyNum(enToyType_ThreeBall)
	--if hasThree > 0 then 
		--bbleft = bbleft-1
	--end 
	--bbleft = bbleft-1
	
	if bbleft > 10 or isWin or bbleft == 0 then 
		qiuNumLable:setDigitNum(bbleft,'qiu_')
		qiuNumBack:setVisible(false)
		qiuNumBack:stopAllActions()

		
	else 
		qiuNumLable:setDigitNum(bbleft,'tenqiu_')
	end 
	
	qiehuanLeft:stopAllActions()
	qiehuanRight:stopAllActions()
	qiehuanRight:setPosition(ccp(70+40+3,30+20+5))
	qiehuanLeft:setPosition(ccp(40+40,10+20+2))
	
	
	--处理分数和星星	
	if scorelable ~= nil then	
		scorelable:setDigitNum(GameLevel:GetInstance():getScore(),'scroeg_')
	end
	if progress ~=nil then 
	
		local score = GameLevel:GetInstance():getScore();
		local hightstar = GameLevel:GetInstance():getHightStar();
		local star = GameLevel:GetInstance():getStar();
		if oldstar ~= star then 
			oldstar = star
			
			local function changeStarPi()
				if star == 1 then 
					changImagCache(scoreStar1,'score_star_s1.png')
				elseif star == 2 then
					changImagCache(scoreStar1,'score_star_s1.png')
					changImagCache(scoreStar2,'score_star_s2.png')
				elseif star == 3 then 
					changImagCache(scoreStar1,'score_star_s1.png')
					changImagCache(scoreStar2,'score_star_s2.png')
					changImagCache(scoreStar3,'score_star_s3.png')
				end 
			end 
			
			local pstar;
			
			local function palyStartList()
				playParticle(pstar,'ui/plist/hearts_star.plist',0,0)
			end 
			
			
			local function playStar()
				local array = CCArray:create()
				array:addObject(CCCallFunc:create(palyStartList))
				array:addObject(CCCallFunc:create(changeStarPi))
				pstar:runAction(CCSequence:create(array)) 
				
			end 
			
			--星星保证
			if star <= 1 then		
				pstar = scoreStar1;
			elseif star == 2 then
				pstar = scoreStar2;
			elseif star == 3 then 
				pstar = scoreStar3;
			end 
			playStar()
		end
		
		--进度条的走动
		local f = progress:getPercentage();
		if f < 100 then 
			local d = 0
			if star < 1 then 
				local hightstar = GameLevel:GetInstance():getLevelStar(1);
				d = (score/hightstar)*33; 
			
			elseif star >=1 and star < 2 then 
				local hightstar = GameLevel:GetInstance():getLevelStar(2);
				d = (score/hightstar)*66; 
				
			elseif star >=2 then
				local hightstar = GameLevel:GetInstance():getLevelStar(3);
				d = (score/hightstar)*100; 
			end
		
			if d > 100 then 
				d = 100
			end 
			progress:setVisible(true)
			
			if d > oldprecent then 
				oldprecent = d;
			end 
			
			local array = CCArray:create()
			array:addObject(CCProgressTo:create(0.3,oldprecent))
			progress:runAction(CCSequence:create(array)) 
		end
	end 

    --掉落的坚果
    if bbNUms and bbNUms > 0 then 
    	showNurCore(bbNUms,isleft)
    end

	if dropx and droptime and dropNums > 0 then 
    	showDropBubbles(dropNums,dropx,droptime,dropn)
    end

    --送球
    if disNums and disNums > 0 then
    	local level = GameLevel:GetInstance():getCurLevel()
		if level > 7 then
		
			local links = GameLevel:GetInstance():getLinkNums()
			local bbtype = nil
			if links == 10 then 
				bbtype = enBubbleType_Bomb;

			elseif links == 15 then
				bbtype = enBubbleType_RainBown;

			elseif links == 20 then
				bbtype = enBubbleType_Fire;
			end

			if bbtype ~= nil then
				showToolLigth()
				local bb = GameLevel:GetInstance():changeShootBBySend(bbtype)
				GameLevel:GetInstance():setSendTools(true)
			end

		end

    end
end


function show_checkTime()
	qiehuanLeft:stopAllActions()
	qiehuanRight:stopAllActions()

	qiehuanRight:setPosition(ccp(70+40+3,30+20+5))
	qiehuanLeft:setPosition(ccp(40+40,10+20+2))
	
	local actionArray = CCArray:create()
	actionArray:addObject(CCMoveBy:create(0.1,ccp(5,0)))
	actionArray:addObject(CCMoveBy:create(0.1,ccp(-5,0)))
	actionArray:addObject(CCMoveBy:create(0.1,ccp(5,0)))
	actionArray:addObject(CCMoveBy:create(0.1,ccp(-5,0)))
	actionArray:addObject(CCDelayTime:create(1))
	local action 	= CCSequence:create(actionArray)
	qiehuanLeft:runAction(CCRepeatForever:create(action))
	
	
	local actionArray = CCArray:create()
	actionArray:addObject(CCMoveBy:create(0.1,ccp(-5,0)))
	actionArray:addObject(CCMoveBy:create(0.1,ccp(5,0)))
	actionArray:addObject(CCMoveBy:create(0.1,ccp(-5,0)))
	actionArray:addObject(CCMoveBy:create(0.1,ccp(5,0)))
	actionArray:addObject(CCDelayTime:create(1))
	local action 	= CCSequence:create(actionArray)
	qiehuanRight:runAction(CCRepeatForever:create(action))
	
end 

function show_ready()
	local h = UIUtils:create()
	shoot_finish()
	playEffects(enSound_ready,false)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()

	local pGameScene = GameLevel:GetInstance():getGameScene()
	local pUiLayerx = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayerx,4)
	
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local lineback = h:getPriteByCache('ready_backs.png')
	lineback:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayerx:addChild(lineback)
	
	local arrays = CCArray:create();
	arrays:addObject(CCScaleTo:create(0.4,1,0.9));
	arrays:addObject(CCScaleTo:create(0.4,1.0,1.0));	
	lineback:runAction(CCRepeatForever:create(CCSequence:create(arrays))); 
	
	local textS = h:getPriteByCache('ready_r.png')
	textS:setPosition(ccp(170,170))
	lineback:addChild(textS)
	
	local index = 0
	function onExitL()
		pauseBtn:setHighlighted(true)
		pauseBtn:setTouchEnabled(true)
		api_action_scale_hide(pUiLayerx)
		--关卡
		show_game_guide(GameLevel:GetInstance():getCurLevel())
	end
	
	function changeText()
		changImagCache(textS,'ready_go.png')
		lineback:setVisible(true)
		local array = CCArray:create()
		array:addObject(CCDelayTime:create(0.3))
		array:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,5),CCFadeTo:create(0.3,0)))
		array:addObject(CCHide:create())
		array:addObject(CCCallFunc:create(onExitL))
		local action  = CCSequence:create(array)
		lineback:runAction(action)
	end
	
	
	local array = CCArray:create()
	array:addObject(CCDelayTime:create(1))
	array:addObject(CCCallFunc:create(changeText))
	local action  = CCSequence:create(array)
	textS:runAction(action)
end 


function show_tenBubbleBack()
	local h = UIUtils:create()
	qiuNumBack:setVisible(true)
	local animation = CCAnimation:create()
	animation:addSpriteFrame(h:getPriteFrameByCache('ten_back.png'))
	animation:addSpriteFrame(h:getPriteFrameByCache('ten_back2.png'))
	animation:setDelayPerUnit(0.1)
	animation:setRestoreOriginalFrame(true)
	qiuNumBack:stopAllActions();
	qiuNumBack:runAction(CCRepeatForever:create(CCAnimate:create(animation)))	
end


function show_tenbos()
	--球槽报警
	local h = UIUtils:create()

	qiuNumBack:setVisible(true)
	local animation = CCAnimation:create()
	animation:addSpriteFrame(h:getPriteFrameByCache('ten_back.png'))
	animation:addSpriteFrame(h:getPriteFrameByCache('ten_back2.png'))
	animation:setDelayPerUnit(0.1)
	animation:setRestoreOriginalFrame(true)
	qiuNumBack:runAction(CCRepeatForever:create(CCAnimate:create(animation)))	
	
	playEffects(enSound_TenQiu,false)
	local screen_size = CCDirector:sharedDirector():getWinSize()
	local pGameScene = GameLevel:GetInstance():getGameScene()
	local pUiLayer = pGameScene:getChildByTag(9)
	if pUiLayer ~= nil then
		pGameScene:removeChild(pUiLayer,true)
	end
	
	pUiLayer = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayer,9)

	--滑动的线
	local lineback = h:getPriteByCache('ten_num_back.png')
	lineback:setPosition(ccp(screen_size.width/2,screen_size.height/2-200+40))
	lineback:setVisible(false)
	pUiLayer:addChild(lineback)
	
	local index = 1;
	
	local function hiddenLink()
		local array = CCArray:create()
		array:addObject(CCFadeTo:create(0.5,0))
		array:addObject(CCHide:create())
		local action  = CCSequence:create(array)
		lineback:runAction(action)
	end 
	
	
	local function showNext()
		if index <= 10 then
			local he = UIUtils:create()
			local textImage = he:getPriteByChaceIndex('last_ten',index);
			if textImage == nil then
				return;
			end
			textImage:setPosition(ccp(screen_size.width,screen_size.height/2-200+40+10))
			pUiLayer:addChild(textImage) 
			
			index = index + 1
			
			local etime = 0.1
			local dtime = 0
			local actionArray = CCArray:create()
			actionArray:addObject(CCDelayTime:create(0.1))
			actionArray:addObject(CCCallFunc:create(showNext))
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,-30)))
			if index == 11 then 
				actionArray:addObject(CCDelayTime:create(1));
			end
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,-30)))
			if index == 10 then 
				actionArray:addObject(CCDelayTime:create(1));
			end
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,12)))
			if index == 9 then 
				actionArray:addObject(CCDelayTime:create(1));
			end
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,7)))
			if index == 8 then 
				actionArray:addObject(CCDelayTime:create(1));
			end
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,8)))
			if index == 7 then 
				actionArray:addObject(CCDelayTime:create(1));
			end
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,5)))
			if index == 6 then 
				actionArray:addObject(CCDelayTime:create(1));
			end
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,10)))
			if index == 5 then 
				actionArray:addObject(CCDelayTime:create(1));
			end 
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,10)))
			if index == 4 then 
				actionArray:addObject(CCDelayTime:create(1));
			end 
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,8)))
			if index == 3 then 
				actionArray:addObject(CCDelayTime:create(1));
			end 
			actionArray:addObject(CCMoveBy:create(etime,ccp(-55,-10)))
			if index == 2 then 
				actionArray:addObject(CCDelayTime:create(1));
			end 
			actionArray:addObject(CCMoveBy:create(etime,ccp(-100,-10)))
			actionArray:addObject(CCHide:create())
			
			if index == 7 then 
				actionArray:addObject(CCCallFunc:create(hiddenLink));
			end
			local action 	= CCSequence:create(actionArray)
			textImage:runAction(action)
		end 
	end 

	local function showText()
		showNext()
	end 
	
	local array = CCArray:create()
	array:addObject(CCFadeTo:create(0.01,0))
	array:addObject(CCShow:create())
	array:addObject(CCFadeTo:create(0.5,255))
	array:addObject(CCCallFunc:create(showText))
	local action  = CCSequence:create(array)
	lineback:runAction(action)
end

--显示你赢了
function show_youwin()
	hiddenToolLigth()
	gameWin = true
	pauseBtn:setHighlighted(false);
	local star = GameLevel:GetInstance():getStar();

	--没星星时候处理
	if star == 0 then
		local function changeStarPi()
			changImagCache(scoreStar1,'score_star_s1.png')
		end 
			
		local function palyStartList()
			playParticle(scoreStar1,'ui/plist/hearts_star.plist',0,0)
		end 
			
		local function playStar()
			local array = CCArray:create()
			array:addObject(CCCallFunc:create(palyStartList))
			array:addObject(CCCallFunc:create(changeStarPi))
			scoreStar1:runAction(CCSequence:create(array)) 
			
		end 
		playStar()
	end



	local screen_size = CCDirector:sharedDirector():getWinSize()
	local pGameScene = GameLevel:GetInstance():getGameScene()
	local pUiLayer = pGameScene:getChildByTag(9)
	if pUiLayer ~= nil then
		pGameScene:removeChild(pUiLayer,true)
	end
	
	pUiLayer = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayer,9)
	pUiLayer:setTag(65213)

	--滑动的线
	local helper = UIUtils:create()


	--JIANGLI 
	local spcxlight = helper:getPriteByCache('bonustime_light.png');
	spcxlight:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	spcxlight:setTag(9117)
	pUiLayer:addChild(spcxlight)

	local spcx = helper:getPriteByCache('bonustime.png');
	spcx:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(spcx)
	spcx:setTag(9118)
	spcxlight:setVisible(false);
	spcx:setVisible(false)


	local lineback = helper:getPriteByChaceIndex('game_win',1);
	lineback:setPosition(ccp(screen_size.width/2,screen_size.height/2-200+80))
	pUiLayer:addChild(lineback)
	
	--准备文字
	local pSpriteBack = helper:getPriteByCache('ready_win.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-200+80))
	pSpriteBack:setVisible(false)
	pUiLayer:addChild(pSpriteBack)	
	

	local function disms()
		local arrays3 = CCArray:create()
		--arrays3:addObject(CCScaleTo:create(0.1,1.3))
		arrays3:addObject(CCShow:create())
		arrays3:addObject(CCScaleTo:create(0.2,1))
		arrays3:addObject(CCDelayTime:create(0.6))
		arrays3:addObject(CCSpawn:createWithTwoActions(CCMoveBy:create(0.2,ccp(0,50)),CCFadeTo:create(0.2,0)))
		arrays3:addObject(CCHide:create())
		arrays3:addObject(CCDelayTime:create(0.3))
		spcx:runAction(CCSequence:create(arrays3))
	end 

	local function startAction()
		--api_action_fade_hide(pUiLayer)
		lineback:setVisible(false);
		pSpriteBack:setVisible(false)

		local bbleft = GameLevel:GetInstance():getBBleft();
		if bbleft > 0 then 
			--spcxlight:setVisible(true);
			api_action_scale_show(spcx)

			local pGameScene = GameLevel:GetInstance():getGameScene()
			local bbLayer = pGameScene:getBBlayer()
			playEffects(enSound_Bonus,false)
			playEffects(enSound_levelCompleted,false)
			bbLayer:doFinisCallback()
		end 
		showWinAni(bbleft)
	end 
	
	
	local function showWinText()
		local array = CCArray:create()
		array:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.12,0.1),CCFadeTo:create(0.12,0)))
		array:addObject(CCShow:create())
		array:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.12,1),CCFadeTo:create(0.12,255)))
		array:addObject(CCDelayTime:create(0.3))
		array:addObject(CCCallFunc:create(startAction))
		array:addObject(CCCallFunc:create(disms))
		local action  = CCSequence:create(array)
		pSpriteBack:runAction(action)
	end
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache('game_win',1,5,0.1))
	array:addObject(CCCallFunc:create(showWinText))
	local action  = CCSequence:create(array)
	lineback:runAction(action)
end

function refersh_gameByShop()
	local newsTools = User:GetInstance():getToyNum(enToyType_Change)
	if newsTools > 0 then
		--qiehBtn:setVisible(true)
	end 
	refresh_toy_num()
end 

function getCurBak()
	local level = GameLevel:GetInstance():getCurLevel()
	for i=1,#backgrouds_pic do
		if level >= backgrouds_pic[i].levelstart and level <= backgrouds_pic[i].levelend then
			return backgrouds_pic[i];
		end
	end
end

--成功的过段界面
function showWinPage()
	local pGameScene 	= GameLevel:GetInstance():getGameScene()
	if pGameScene ~=nil then 
		local bbLayer 		= pGameScene:getChildByTag(1)
		local pUiLayer 		= bbLayer:getChildByTagName('bb_back')
		local pShootSprite 	= pUiLayer:getChildByTag(1)
		
		if pShootSprite ~= currentItem then 
			pShootSprite:stopAllActions()
		end

		pUiLayer = pGameScene:getChildByTag(65213)

		local light = pUiLayer:getChildByTag(9117)
		local bounts = pUiLayer:getChildByTag(9118)
		if light then 
			light:setVisible(false);
		end

		if bounts then
			local function goLuck()
				pGameScene:removeChildByTag(65213,true)
				showLuckdraw(pGameScene)
			end

			local arrays3 = CCArray:create()
			--arrays3:addObject(CCScaleTo:create(0.1,1.3))
			-- arrays3:addObject(CCShow:create())
			-- arrays3:addObject(CCScaleTo:create(0.2,1))
			-- arrays3:addObject(CCDelayTime:create(0.6))
			-- arrays3:addObject(CCSpawn:createWithTwoActions(CCMoveBy:create(0.2,ccp(0,50)),CCFadeTo:create(0.2,0)))
			-- arrays3:addObject(CCHide:create())
			arrays3:addObject(CCDelayTime:create(0.3))
			arrays3:addObject(CCCallFunc:create(goLuck))
			bounts:runAction(CCSequence:create(arrays3))
		end
	end 
	
end 

function getLocalTopScore()
	return historyScore
end 

--坚果的分数展示
function showNurCore(bbNUms,isleft)
	if bbNUms and bbNUms > 0 then
    	local screen_size = CCDirector:sharedDirector():getWinSize()
    	local h = UIUtils:create()

		local pGameScene = GameLevel:GetInstance():getGameScene()
		local bbLayer = pGameScene:getBBlayer()
		local pLayer = bbLayer:getParent()

    	local pic = h:getPriteByCache('score_jiaguo_text.png')

    	local x = isleft;
    	if((isleft-pic:getContentSize().width/2)<0) then
       	 	x = pic:getContentSize().width/2+10;
    	elseif ((isleft+pic:getContentSize().width/2)>screen_size.width) then
        	x = screen_size.width-pic:getContentSize().width/2-10;
    	end

		pic:setPosition(ccp(x,280))
		pLayer:addChild(pic,99)
    
	    local scores = DigitLable:createCache('ui/gameui/gameother.png')
		scores:setPosition(ccp(pic:getContentSize().width/2+30,70))
		scores:setBefore('a');
	    scores:setDigitNum(bbNUms*500,"scorejiaguas_")
		pic:addChild(scores,1)
	    
		local arrays3 = CCArray:create()
		arrays3:addObject(CCHide:create())
		arrays3:addObject(CCDelayTime:create(1.6))
		arrays3:addObject(CCScaleTo:create(0.1,1.3))
		arrays3:addObject(CCShow:create())
		arrays3:addObject(CCScaleTo:create(0.2,1))
		arrays3:addObject(CCDelayTime:create(0.6))
		arrays3:addObject(CCSpawn:createWithTwoActions(CCMoveBy:create(0.2,ccp(0,50)),CCFadeTo:create(0.2,0)))
		arrays3:addObject(CCHide:create())
		pic:runAction(CCSequence:create(arrays3))

		local arrays3 = CCArray:create()
		arrays3:addObject(CCDelayTime:create(2.5))
		arrays3:addObject(CCFadeTo:create(0.2,0))
		scores:runAction(CCSequence:create(arrays3))
	    
    end 
end

function showDropBubbles(dropNums,dropx,droptime,dropn)
	--掉落的水果展示
     if dropNums and dropNums > 0 then
    	local screen_size = CCDirector:sharedDirector():getWinSize()
    	local h = UIUtils:create()

		local pGameScene = GameLevel:GetInstance():getGameScene()
		local bbLayer = pGameScene:getBBlayer()
		local pLayer = bbLayer:getParent()

		local x = dropx;
		local pic = h:getPriteByCache('score_drop_text.png')
		if((dropx-pic:getContentSize().width/2)<0) then
       	 	x = pic:getContentSize().width/2 + 10
    	elseif((dropx+pic:getContentSize().width/2)>screen_size.width) then
        	x = screen_size.width-pic:getContentSize().width/2-10;
    	end
		pic:setPosition(ccp(x,380))
		pLayer:addChild(pic,99)
    
	    local scores = DigitLable:createCache('ui/gameui/gameother.png')
		scores:setPosition(ccp(pic:getContentSize().width/2+40,70))
		scores:setBefore('a');
	    scores:setDigitNum(dropNums,"scoredrops_")
		pic:addChild(scores,1)
		pic:setVisible(false)

		local function playSound()
			if dropn == 1 then
				h:playEffects(enSound_smallPop);
			elseif dropn >= 3 and dropn <= 4 then
				h:playEffects(enSound_mediumPop);
			elseif dropn >= 5 and dropn <= 8 then
				h:playEffects(enSound_largePop);
			elseif dropn >= 9 then
				h:playEffects(enSound_hugePop);
			end
		end
	    
		local arrays3 = CCArray:create()
		arrays3:addObject(CCDelayTime:create(droptime+0.3))
		arrays3:addObject(CCShow:create())
		arrays3:addObject(CCCallFunc:create(playSound))
		arrays3:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.5,1.2),CCFadeTo:create(0.5,255)))
		arrays3:addObject(CCDelayTime:create(0.3))
		arrays3:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.1,0.1),CCFadeTo:create(0.1,0.0)))
		arrays3:addObject(CCHide:create())
		pic:runAction(CCSequence:create(arrays3))
	    
    end 
end

function showToolLigth()

	local function showLigths()
		lightToolsBack:setVisible(true)
		local array = CCArray:create()
		array:addObject(CCRotateBy:create(0.3,30))
		local action  = CCSequence:create(array)
		lightToolsBack:runAction(CCRepeatForever:create(action))
	end

	local arrays3 = CCArray:create()
	--arrays3:addObject(CCDelayTime:create(0.56))
	arrays3:addObject(CCCallFunc:create(showLigths))
	lightToolsBack:runAction(CCSequence:create(arrays3))
end

function hiddenToolLigth()
	lightToolsBack:setVisible(false)
	lightToolsBack:stopAllActions()
end
