
local openBtn = nil
local closeBtn = nil
local soundOpen = true
local pUiLayer = nil
function show_setting(pGameScene)
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	local pBackLayer = CCLayerColor:create(ccc4(0,0,0,0))
	pBackLayer:runAction(CCFadeTo:create(0.12,140))
	pGameScene:addChild(pBackLayer,100)
	pBackLayer:setOpacity(-2)
	
	pUiLayer = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayer,100)
	pUiLayer:setTagName('setting_start_ui')
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,0,true)
	pUiLayer:setTouchEnabled(true)
		
	local pSpriteBack = helper:getPriteByCache('back_3.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('back_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+310))
	pUiLayer:addChild(pSpriteBack)
	
	--设置标题
	local pSpriteBack = helper:getPriteByCache('setting_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+310))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+290))
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
		playEffects(enSound_CloseBtn,false)
	end
	pBtn:setTouchPriority(-2)
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--分享
	-- local pSpriteBack = helper:getPriteByCache('setting_share.png')
	-- pSpriteBack:setAnchorPoint(ccp(0,0.5))
	-- pSpriteBack:setPosition(ccp(100,screen_size.height/2+140+30))
	-- pUiLayer:addChild(pSpriteBack)
	
	-- --分享钻石

	-- local isSendWeiXind = User:GetInstance():getValue("game_weixin_send50") > 0;

	-- if not isSendWeiXind then 
	-- 	local pSprite = helper:getPriteByCache('dimand_1.png')
	-- 	pSprite:setPosition(ccp(screen_size.width/2-100+20+10,screen_size.height/2+140+30+5))
	-- 	pUiLayer:addChild(pSprite,1)
		
	-- 	local lable = DigitLable:createCache('map/mapall3.png')
	-- 	lable:setPixGap(-2)
	-- 	lable:setDigitNum(50,'lifedimanod_')
	-- 	lable:setAnchorPoint(ccp(0,1))
	-- 	lable:setPosition(ccp(screen_size.width/2-48+20+10,screen_size.height/2+140+30))
	-- 	pUiLayer:addChild(lable,1)
	-- end  

		
	-- local pSprite = helper:get9PriteByCache('btn_green_s.png')
	-- local pBtn = CCControlButton:create(pSprite)
	-- pBtn:setPreferredSize(CCSizeMake(174,88))
	-- doImageAction(pSprite);
	
	-- local function onShare()
	--    playEffects(enSound_MenuBtn,false)
	--    api_action_scale_hide(pUiLayer)
	--    pBackLayer:runAction(CCFadeTo:create(0.3,0))
	--    playEffects(enSound_CloseBtn,false)
	--    show_weixin_share(pGameScene)
	-- end
	-- pBtn:setTouchPriority(-2)
	-- pBtn:addHandleOfControlEvent(onShare,CCControlEventTouchUpInside)
	
	-- pBtn:setPosition(ccp(screen_size.width-100-87,screen_size.height/2+140+30))
	-- pUiLayer:addChild(pBtn)
	
	-- local pSpriteBack = helper:getPriteByCache('setting_weixin.png')
	-- pSpriteBack:setPosition(ccp(screen_size.width-100-87,screen_size.height/2+140+30))
	-- pUiLayer:addChild(pSpriteBack)
	
	-- local pSpriteBack = helper:getPriteByCache('split_line.png')
	-- pSpriteBack:setScaleY(1.3)
	-- pSpriteBack:setScaleX(0.8)
	-- pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+110))
	-- pUiLayer:addChild(pSpriteBack)
	
	--音效
	local pSpriteBack = helper:getPriteByCache('setting_mus.png')
	pSpriteBack:setAnchorPoint(ccp(0,0.5))
	pSpriteBack:setPosition(ccp(100,screen_size.height/2+140+30))
	pUiLayer:addChild(pSpriteBack)
	
	closeBtn = CCControlButton:create()
	closeBtn:setBackgroundSpriteForState(helper:get9PriteByCache('open_music.png'),CCControlStateHighlighted);
	closeBtn:setBackgroundSpriteForState(helper:get9PriteByCache('close_music.png'),CCControlStateNormal);
	closeBtn:setPreferredSize(CCSizeMake(88,88))
	closeBtn:setTagName('music_c')
	closeBtn:setTouchPriority(-2)
	closeBtn:setPosition(ccp(100+84+20+44,screen_size.height/2+140+30))
	pUiLayer:addChild(closeBtn)
	
	soundOpen = User:GetInstance():isSound()
	local function onBtnMOpen()
		local isSoundMusic = User:GetInstance():isSoundMusic()
		if isSoundMusic then 
			closeBtn:setHighlighted(false)
			User:GetInstance():setSoundMusic(false)
		else 
			closeBtn:setHighlighted(true)
			User:GetInstance():setSoundMusic(true)
		end 
		playEffects(enSound_MenuBtn,false)
		--openBtn:runAction(CCFadeTo:create(0.3,0))
	end
	closeBtn:addHandleOfControlEvent(onBtnMOpen,CCControlEventTouchUpInside)
	
	--音乐
	local pSpriteBack = helper:getPriteByCache('setting_sound.png')
	pSpriteBack:setPosition(ccp(screen_size.width-100-44-50-42,screen_size.height/2+140+30))
	pUiLayer:addChild(pSpriteBack)
	
	openBtn = CCControlButton:create()
	openBtn:setBackgroundSpriteForState(helper:get9PriteByCache('open_icon.png'),CCControlStateHighlighted);
	openBtn:setBackgroundSpriteForState(helper:get9PriteByCache('close_icon.png'),CCControlStateNormal);
	openBtn:setPreferredSize(CCSizeMake(88,88))
	openBtn:setTagName('music_o')
	openBtn:setTouchPriority(-2)
	openBtn:setPosition(ccp(screen_size.width-100-44-10,screen_size.height/2+140+30))
	pUiLayer:addChild(openBtn)
	local function onBtnMClose()
		local isSound = User:GetInstance():isSound()
		if isSound then 
			openBtn:setHighlighted(false)
			User:GetInstance():setSound(false)
		else
			openBtn:setHighlighted(true)
			User:GetInstance():setSound(true)
		end 
		playEffects(enSound_MenuBtn,false)
		--closeBtn:runAction(CCFadeTo:create(0.3,0))
	end
	openBtn:addHandleOfControlEvent(onBtnMClose,CCControlEventTouchUpInside)
	--默认关闭隐藏
	showSoundStatus()
	
	local pSpriteBack = helper:getPriteByCache('split_line.png')
	pSpriteBack:setScaleY(1.3)
	pSpriteBack:setScaleX(0.8)
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+110))
	pUiLayer:addChild(pSpriteBack)
	
	--剧情
	local pSpriteBack = helper:getPriteByCache('setting_story.png')
	pSpriteBack:setAnchorPoint(ccp(0,0.5))
	pSpriteBack:setPosition(ccp(100,screen_size.height/2+30))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:get9PriteByCache('btn_green_s.png')
	local viewBtn = CCControlButton:create(pSpriteBack)
	viewBtn:setTouchPriority(-2)
	viewBtn:setPreferredSize(CCSizeMake(190,92))
	viewBtn:setPosition(ccp(screen_size.width-100-87,screen_size.height/2+30))
	pUiLayer:addChild(viewBtn)
	local function onBtnViewJq()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
		playEffects(enSound_MenuBtn,false)
		showGuides(pGameScene,false)
	end
	viewBtn:addHandleOfControlEvent(onBtnViewJq,CCControlEventTouchUpInside)
	doImageAction(viewBtn);
	
	local pSpriteBack = helper:getPriteByCache('setting_view.png')
	pSpriteBack:setPosition(ccp(screen_size.width-100-87,screen_size.height/2+30))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('split_line.png')
	pSpriteBack:setScaleY(1.3)
	pSpriteBack:setScaleX(0.8)
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-30))
	pUiLayer:addChild(pSpriteBack)
	
	--关于
	local pSpriteBack = helper:getPriteByCache('setting_about.png')
	pSpriteBack:setAnchorPoint(ccp(0,0.5))
	pSpriteBack:setPosition(ccp(100,screen_size.height/2-110))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:get9PriteByCache('btn_green_s.png')
	local viewBtn = CCControlButton:create(pSpriteBack)
	viewBtn:setTouchPriority(-2)
	viewBtn:setPreferredSize(CCSizeMake(190,92))
	viewBtn:setPosition(ccp(screen_size.width-100-87,screen_size.height/2-110))
	pUiLayer:addChild(viewBtn)
	local function onBtnAbount()
		api_action_scale_hide(pUiLayer)
		show_about(pGameScene)
		playEffects(enSound_MenuBtn,false)
	end
	viewBtn:addHandleOfControlEvent(onBtnAbount,CCControlEventTouchUpInside)
	doImageAction(viewBtn);
	
	local pSpriteBack = helper:getPriteByCache('setting_view.png')
	pSpriteBack:setPosition(ccp(screen_size.width-100-87,screen_size.height/2-110))
	pUiLayer:addChild(pSpriteBack)
	
	api_action_scale_show(pUiLayer)
end
	
	
--关于
local contentHeight
	
function show_about(pGameScene)
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()
	local pUiLayerx = pGameScene:getChildByTagName('setting_about_start_ui')
	if pUiLayerx == nil then
		pUiLayerx = CCLayerRGBA:create()
		pGameScene:addChild(pUiLayerx,101)
		pUiLayerx:setTagName('setting_about_start_ui')
	else 
		api_action_scale_show(pUiLayerx)
		local scrolView = pUiLayerx:getChildByTagName('SCROL_OK');
		scrolView:stopAllActions()
		scrolView:setContentOffset(ccp(0,-contentHeight + screen_size.height),false)
		scrolView:setContentOffsetInDuration(ccp(0,0),10)
		return 
	end 
	
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local pSpriteBack = CCSprite:create('ui/common/back_blue.d2')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayerx:addChild(pSpriteBack)
	
--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width-60,screen_size.height-60))
	pUiLayerx:addChild(pBtn)
	local function onBtnClose()
		api_action_scale_hide(pUiLayerx);
		api_action_scale_show(pUiLayer)
		playEffects(enSound_CloseBtn,false)
		--pBackLayer:runAction(CCFadeTo:create(0.3,0))
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)

	--背景图片层
	local pSprite = helper:getPriteByCache('grass_back.png')
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setPosition(ccp(screen_size.width/2,0))
	pUiLayerx:addChild(pSprite)
	
	local flowersprite1 =  buildSettingConent()
	flowersprite1:setContentSize(CCSizeMake(screen_size.width,screen_size.height+1800));




	local scrollView1 = CCScrollView:create()
	local inindex = 0;
	local lastIndex = 0;
	local currenIndex = 0;
	local isFinish = false;

	local function isFinishCheck()
		if isFinish == true then 
			cclog('ssssssssssssssssss: clear:%d',currenIndex)
			if currenIndex < 0 then
				scrollView1:setContentOffset(ccp(0,0),false)
			end 

    		inindex = 0;
    		lastIndex = 0;
    		currenIndex = 0;
		end 
	end


	local function checkFinish()
		isFinish = true
		scrollView1:stopAllActions();
		local actionArray = CCArray:create()
		actionArray:addObject(CCDelayTime:create(0.6))
		actionArray:addObject(CCCallFunc:create(isFinishCheck))					
		local action 	= CCSequence:create(actionArray)
		scrollView1:runAction(action)
	end


	local function scrollView2DidScroll()
		isFinish = false
        --print("scrollView2DidScroll")
        cclog('ssssssssssssssssss: yyy:%d',scrollView1:getContentOffset().y)

        if inindex == 0 then
        	currenIndex = 0
        	inindex = scrollView1:getContentOffset().y
        	cclog('ssssssssssssssssss: inindex:%d',inindex)
        else
        	local isequal = inindex == scrollView1:getContentOffset().y
        	if lastIndex == 0 and not isequal then 
        		lastIndex = scrollView1:getContentOffset().y
        		cclog('ssssssssssssssssss: lastIndex:%d',lastIndex)
        	end
    	end 


    	if inindex == 0 or lastIndex == 0 then 
    		return;
    	end

    	if lastIndex > inindex  then
	    	if scrollView1:getContentOffset().y < currenIndex then
	    		if currenIndex > 350 then
	    			currenIndex = 350
	    		end
	    		scrollView1:setContentOffset(ccp(0,currenIndex),false)
	    		checkFinish();
	    	else
	    		currenIndex = scrollView1:getContentOffset().y
	    	end

	    elseif lastIndex < inindex then
	    	currenIndex = scrollView1:getContentOffset().y
	    	checkFinish();
    	end
    end
    local function scrollView2DidZoom()
        print("scrollView2DidZoom")
        return;
    end




	scrollView1:setViewSize(CCSizeMake(screen_size.width, screen_size.height));
	scrollView1:setContentSize(CCSizeMake(screen_size.width,screen_size.height+600));
	scrollView1:setContainer(flowersprite1);
	scrollView1:setDirection(kCCScrollViewDirectionVertical);
	scrollView1:setAnchorPoint(ccp(0,0));
	scrollView1:ignoreAnchorPointForPosition(true);
	scrollView1:setClippingToBounds(true);
	scrollView1:setBounceable(true);
	
	scrollView1:setTagName('SCROL_OK')

 	scrollView1:setDelegate()
    scrollView1:registerScriptHandler(scrollView2DidScroll,CCScrollView.kScrollViewScroll)
    scrollView1:registerScriptHandler(scrollView2DidZoom,CCScrollView.kScrollViewZoom)
	pUiLayerx:addChild(scrollView1)
	scrollView1:setContentOffset(ccp(0,0),false)
	--scrollView1:unscheduleAllSelectors()
	--scrollView1:setContentOffset(ccp(0,-contentHeight + screen_size.height),false)
	--scrollView1:setContentOffset(ccp(0,contentHeight),false)
	--scrollView1:setContentOffsetInDuration(ccp(0,0),10)
	
	--cclog('ssssssssssssssssss: %d',contentHeight)
	--cclog('ssssssssssssssssss: %d',scrollView1:getContentOffset().y)
    --currenLayerTable:setContentOffset(ccp(0,0),false)
	
	
	
	playBubble(pUiLayerx,screen_size.width-50,40)
	playBubble(pUiLayerx,50,40)


end

function showSoundStatus()
	local isSoundMusic = User:GetInstance():isSoundMusic()
	local isSound = User:GetInstance():isSound()
	closeBtn:setHighlighted(isSoundMusic)
	openBtn:setHighlighted(isSound)
end 


function buildSettingConent()
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()
	local pUiLayer = CCLayer:create()

	local pSpriteBack = CCSprite:create('ui/welcome/welcome_3.data')
	pSpriteBack:setScale(0.5)
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height-200))
	pUiLayer:addChild(pSpriteBack)

	local xheigth = 0;
	local isChinaTelx = isChinaTel();
	if isChinaTelx then
		xheigth = 100;
		local version =CCLabelTTF:create('免责声明：本游戏版权归深圳市摩掌信息技术有限公司','微软雅黑',24)
		version:setAnchorPoint(ccp(0,0.5))
		version:setPosition(ccp(20,screen_size.height-320))
		pUiLayer:addChild(version)

		local version =CCLabelTTF:create('所有，中国电信对此不承担任何法律责任。','微软雅黑',24)
		version:setAnchorPoint(ccp(0,0.5))
		version:setPosition(ccp(20,screen_size.height-320-40))
		pUiLayer:addChild(version)
	end


	local version =CCLabelTTF:create('GL digital设计开发   ver1.5.4','微软雅黑',24)
	version:setPosition(ccp(screen_size.width/2,screen_size.height-320-xheigth))
	pUiLayer:addChild(version)

	local version =CCLabelTTF:create('www.appabc.com','微软雅黑',24)
	version:setPosition(ccp(screen_size.width/2,screen_size.height-360-xheigth))
	--pUiLayer:addChild(version)

	local pSprite = helper:get9PriteByCache('telephone.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(194,66))
	
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height-420-xheigth))
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		playEffects(enSound_CloseBtn,false)
		--pBackLayer:runAction(CCFadeTo:create(0.3,0))
		User:GetInstance():showPhone();
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)

	local version =CCLabelTTF:create('客服邮箱：kefu@appabc.com','微软雅黑',24)
	version:setPosition(ccp(screen_size.width/2,screen_size.height-480-xheigth))
	pUiLayer:addChild(version)
	
	local version = CCLabelTTF:create('国立游戏水果泡泡龙粉丝群  群号414889817','微软雅黑',20)
	version:setPosition(ccp(screen_size.width/2,screen_size.height-510-xheigth))
	--version:setHorizontalAlignment(CCTextAlignmentLeft) 
	pUiLayer:addChild(version)

	local x= screen_size.width/2 - version:getContentSize().width/2

	local version = CCLabelTTF:create('提交游戏BUG奖励10-50元','微软雅黑',20)
	version:setAnchorPoint(ccp(0,0.5))
	version:setPosition(ccp(x,screen_size.height-535-xheigth))
	--version:setHorizontalAlignment(CCTextAlignmentLeft) 
	pUiLayer:addChild(version)

	local pSpriteBack = helper:getPriteByCache('abount_content.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height-520-465-xheigth))
	pUiLayer:addChild(pSpriteBack)	

	--local pSpriteBack = CCSprite:create('ui/common/abount_content.png')
	--pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height-520-465-520-465))
	--pUiLayer:addChild(pSpriteBack)	

	return pUiLayer;
end
	
	
	
function showLifeDelte(pGameScene,tomap)
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	local pBackLayer = CCLayerColor:create(ccc4(0,0,0,0))
	pBackLayer:runAction(CCFadeTo:create(0.2,100))
	pGameScene:addChild(pBackLayer,100)
	pBackLayer:setTagName('news')
	
	pBackLayer:setOpacity(0)

	pUiLayer = CCLayerRGBA:create()
	pBackLayer:addChild(pUiLayer,111)
	pUiLayer:setTagName('exit_back_ui')
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,0,true)
	pUiLayer:setTouchEnabled(true)
		
	local pSpriteBack = helper:getPriteByCache('back_1.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('back_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+290))
	pUiLayer:addChild(pSpriteBack)
	
	--设置标题
	local pSpriteBack = helper:getPriteByCache('exit_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+290))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('exit_text_img.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+125))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+240))
	pBtn:setTouchPriority(-2)
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
		playEffects(enSound_CloseBtn,false)
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--文字
	local pSpriteBack = helper:getPriteByCache('exit_text.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+10))
	pUiLayer:addChild(pSpriteBack)
	
	local pSprite = helper:get9PriteByCache('btn_yellow.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(300,126))
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-115))
	pUiLayer:addChild(pBtn)
	
	doImageActionY(pBtn)
		
	local pT = helper:getPriteByCache('game_exit.png')
	pT:setPosition(ccp(screen_size.width/2,screen_size.height/2-115))
	pUiLayer:addChild(pT)
	pBtn:setTouchPriority(-2)
	function onExit()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
		
		playEffects(enSound_MenuBtn,false)
		local cur_level = GameLevel:GetInstance():getCurLevel()
		local mapScene = nil
		if tomap then 
			show_game_riche(pGameScene,0)
		else 
			show_game_riche(pGameScene,cur_level)
		end 
		--扣心操作和刷新UI
		User:GetInstance():useToy(enToyType_Life);
		User:GetInstance():talkingOnLevelExit(cur_level);
		--updateToys()
		isClikeLeft = false
	end 
	pBtn:addHandleOfControlEvent(onExit,CCControlEventTouchUpInside)
	
	api_action_scale_show(pUiLayer)
end