
-- 使用道具界面

local toy_aming_config = {
{img= 'bomb.png',text='tools_bob.png',an=2,antime=0.06,num=480,count=3,type=0,numimg='buytools_3.png'},
{img = 'rainbown.png',text='tools_caihong.png',an=6,antime=0.06,num=480,count=3,type=0,numimg='buytools_3.png'},
{img= 'aimline.png',text='tools_lines.png',an=5,antime=0.1,num=3,count=1,type=1},
{img = 'tools_fire.png',text='tools_huoqiu.png',an=13,antime=0.06,num=580,count=3,type=0,numimg='buytools_3.png'},
{img = 'tools_fengyin.png',text='tools_fengyin_t.png',num=580,count=1,type=0},
{back = '',aimg= '',text='tools_lines_text.png',an=5,antime=0.06,num=3,count=1,type=1},
{back = '',aimg= '',text='tools_bob_text',an=2,num=480,count=3,},
{back = '',aimg= '',text='tools_bob_text',an=2,num=480,count=3,},
{back = '',aimg= '',text='tools_bob_text',an=2,num=480,count=3,},
{back = '',aimg= '',text='tools_bob_text',an=2,num=480,count=3,},
{img= 'tools_changes.png',text='tools_change.png',an=2,antime=0.3,num=3,count=1,type=1},
{back = '',aimg= '',text='tools_bob_text',an=2,num=480,count=3,},
{back = '',aimg= '',text='tools_lines_text.png',an=5,antime=0.06,num=3,count=1,type=1},
[19]={img = 'Faint.png',text='tools_tui_t.png',an=13,antime=0.06,num=480,count=3,type=0,numimg='buytools_3.png'},
[20]={img = 'pierce.png',text='tools_chuantou_t.png',an=13,antime=0.06,num=960,count=3,type=0,numimg='buytools_3.png'},
}


function onClick_use_toy(tp)
	playEffects(enSound_MenuBtn,false)

	local num = GameLevel:GetInstance():getToyToolsNum(tp)
	print(num.."num")
	if num<= 0 then
		showToyBuy(tp)
		return false
	end
	if tp == enToyType_Bomb then
		local bb = GameLevel:GetInstance():changeShootBB(enBubbleType_Bomb)
		if bb == false then 
			refresh_toy_num()
			return
		end 
		--User:GetInstance():useToy(tp)
		refresh_toy_num()
		return true
	end
	if tp == enToyType_Rainbow then
		local bb = GameLevel:GetInstance():changeShootBB(enBubbleType_RainBown)
		if bb == false then 
			refresh_toy_num()
			return
		end 
		--User:GetInstance():useToy(tp)
		refresh_toy_num()
		return true
	end
	if tp == enToyType_Fire then
		local bb = GameLevel:GetInstance():changeShootBB(enBubbleType_Fire)
		if bb == false then 
			refresh_toy_num()
			return
		end 
		--User:GetInstance():useToy(tp)
		refresh_toy_num()
		return true
	end
	if tp == enToyType_Back_Step then
		return true
	end
	if tp == enToyType_Chuan_Tou then
		local bb = GameLevel:GetInstance():changeShootBB(enBubbleType_ChuanTou)
		if bb == false then 
			refresh_toy_num()
			return 
		end 
		refresh_toy_num()
		return true
	end
	if tp == enToyType_Fengying then
		local num = User:GetInstance():getToyNum(enToyType_Fengying)
		print("封印球数============="..num)
		GameLevel:GetInstance():doFengying()
		local num = User:GetInstance():getToyNum(enToyType_Fengying)
		print("封印球数============="..num)
		refresh_toy_num()
		return	false	
	end
end

function showToyBuy(tp)
	local helper = UIUtils:create()
	local pGameScene = api_getGameMapScene()
	if pGameScene ==nil then 
		pGameScene = GameLevel:GetInstance():getGameScene()
	end 
	pGameScene:removeChildByTag(10001,true)
	local pColorBack = CCLayerColor:create(ccc4(0,0,0,0))
	pColorBack:runAction(CCFadeTo:create(0.2,140))
	pGameScene:addChild(pColorBack,100)
	pColorBack:setTagName('buy_shop_color')
	pColorBack:setTag(10001)
	
	local pUiLayerx = CCLayerRGBA:create()
	pColorBack:addChild(pUiLayerx,1)
	pUiLayerx:setTagName('buy_shop_ui')
	pUiLayerx:setTag(10001)
		
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	--背景
	local blubBack = helper:getPriteByCache('dtools_back.png')
	blubBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayerx:addChild(blubBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(60,60))

	pBtn:setPosition(ccp(620-30,256-30))
	blubBack:addChild(pBtn)
	local function onBtnClose()
		playEffects(enSound_CloseBtn,false)
		api_action_scale_hide(pColorBack)
		api_action_scale_hide(pUiLayerx)
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	if toy_aming_config[tp].img ~= nil then 
		--图片后面需要追加动画的
		local pSpriteBack = helper:getPriteByCache(toy_aming_config[tp].img)
		pSpriteBack:setPosition(ccp(100,128))
		blubBack:addChild(pSpriteBack)

		if tp == enToyType_Chuan_Tou or tp == enToyType_Back_Step then
			pSpriteBack:setPosition(ccp(80,128))
		end 
	end 


	--数字
	if toy_aming_config[tp].numimg ~= nil then 
		local pSpriteBackx = helper:getPriteByCache(string.format(toy_aming_config[tp].numimg,1))
		pSpriteBackx:setPosition(ccp(100+40,128-25))
		blubBack:addChild(pSpriteBackx)

		if tp == enToyType_Back_Step then
			pSpriteBackx:setPosition(ccp(100+20,128-25))
		end 

		if tp == enToyType_Chuan_Tou then
			pSpriteBackx:setPosition(ccp(100+5,128-25))
		end 
	end 
		
	--道具的文字提示
	local pSpriteBack = helper:getPriteByCache(toy_aming_config[tp].text)
	pSpriteBack:setPosition(ccp(158+160,128))
	if tp == enToyType_Change then
		pSpriteBack:setPosition(ccp(158+140,128))
    elseif tp == enToyType_Fengying then
        pSpriteBack:setPosition(ccp(158+120,128))
    elseif tp == enToyType_Back_Step then
        pSpriteBack:setPosition(ccp(158+120,128))
    elseif tp == enToyType_Chuan_Tou then
        pSpriteBack:setPosition(ccp(138+120,128))  
    end

	blubBack:addChild(pSpriteBack)
	
	--确认按钮
	local pSprite = helper:get9PriteByCache('btn_green_d.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(190,92))
	
	pBtn:setPosition(ccp(480,128))
	blubBack:addChild(pBtn)
	local function onBtnClose()
		playEffects(enSound_BuyBtn,false)
		if toy_aming_config[tp].type == 0 then 
			local dimoads = User:GetInstance():getToyNum(enToyType_Diamond);
			if dimoads-toy_aming_config[tp].num >= 0 then
				User:GetInstance():addToyNum(tp,toy_aming_config[tp].count)
				User:GetInstance():useToy(enToyType_Diamond,toy_aming_config[tp].num)
				refersh_gameByShop()
				playEffects(enSound_BuySucess,false)
				--totalLable:setDigitNum(User:GetInstance():getToyNum(enToyType_Diamond),'diamonds_')

				showBuySucessTip(false);
			else 
				showNoMoney()
			end
		else 
			User:GetInstance():pay(EnumFeeType_MM510);
		end 

	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--文字
	if toy_aming_config[tp].type == 1  then 
		-- local pSpriteBack = helper:getPriteByCache('buy_btn_text.png')
		-- pSpriteBack:setPosition(ccp(480,128))
		-- blubBack:addChild(pSpriteBack)

		helper:addPrice(pBtn,EnumFeeType_MM510);	
	else 
		local pSprite = helper:getPriteByCache('dimand_1.png')
		pSprite:setPosition(ccp(40+10+20,46))
		pBtn:addChild(pSprite,1)
		
		local lable = DigitLable:createCache('')
		lable:setPixGap(-2)
		lable:setDigitNum(toy_aming_config[tp].num,'lifedimanod_')
		lable:setAnchorPoint(ccp(0,1))
		lable:setPosition(ccp(30+70+30,46))
		pBtn:addChild(lable,1)
	end 

	local isChange = tp == enToyType_Change

	if not isChange then
		blubBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+190))
		local pSpriteBack = helper:getPriteByCache('dtools_shop.png')
		pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-128+20))
		pUiLayerx:addChild(pSpriteBack)

		local xttt = helper:get9PriteByCache('btn_green_d.png')
		local btn = CCControlButton:create(xttt)
		btn:setPosition(ccp(480,220))
		btn:setPreferredSize(CCSizeMake(220,80))
		pSpriteBack:addChild(btn)
		local function onBtnClose()
			User:GetInstance():pay(EnumFeeType_MM505);
		end
		btn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)

		helper:addPrice(btn,EnumFeeType_MM505);	

	end 

end 

function showNoMoney()
	local helper = UIUtils:create()
	local pGameScene = api_getGameMapScene()
	if pGameScene ==nil then 
		pGameScene = GameLevel:GetInstance():getGameScene()
	end 
	
	local pColorBack = pGameScene:getChildByTagName('buy_shop_nomoney_color')
	if pColorBack == nil then
		pGameScene:removeChildByTag(10001,true)
		pColorBack = CCLayerColor:create(ccc4(0,0,0,0))
		pColorBack:runAction(CCFadeTo:create(0.2,140))
		pGameScene:addChild(pColorBack,100)
		pColorBack:setTag(10001)
		pColorBack:setTagName('buy_shop_nomoney_color')
	else 
		api_action_scale_show(pColorBack)
		pColorBack:runAction(CCFadeTo:create(0.12,140))
		api_action_scale_show(pColorBack:getChildByTagName('buy_shop_nomoney_ui'))
		return;
	end 
	
	local pUiLayerx = CCLayerRGBA:create()
	pColorBack:addChild(pUiLayerx,1)
	pUiLayerx:setTag(10001)
	pUiLayerx:setTagName('buy_shop_nomoney_ui')
		
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,-1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	--背景
	local pSpriteBack = helper:getPriteByCache('back_1.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayerx:addChild(pSpriteBack)


	local pSpriteBack = helper:getPriteByCache('back_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+260))
	pUiLayerx:addChild(pSpriteBack)
	
	--设置标题
	local pSpriteBack = helper:getPriteByCache('title_money.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+260))
	pUiLayerx:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setTouchPriority(-2)
	pBtn:setPreferredSize(CCSizeMake(66,66))

	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+240))
	pUiLayerx:addChild(pBtn)
	local function onBtnClose()
	    ShopLayer:showTabls(pGameScene,2)
		api_action_scale_hide(pColorBack)
		api_action_scale_hide(pUiLayerx)
		playEffects(enSound_CloseBtn,false)
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
		--得分的闪闪星星	
	local array = CCArray:create()
	array:addObject(CCScaleTo:create(0.3,0.8))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.01, ccp(screen_size.width/2 - 10, screen_size.height/2 + 170)))
	array:addObject(CCScaleTo:create(0.3,0.6))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.01, ccp(screen_size.width/2 - 20, screen_size.height/2 + 100)))
	array:addObject(CCScaleTo:create(0.3,0.9))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.01, ccp(screen_size.width/2 + 10, screen_size.height+110)))
	array:addObject(CCScaleTo:create(0.3,0.9))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.01, ccp(screen_size.width/2 + 20, screen_size.height/2 + 170)))

	local action  = CCSequence:create(array)

	local pSprite = helper:getPriteByCache('succ_star.png')
	pSprite:setPosition(ccp(screen_size.width/2-90,screen_size.height/2+100))
	pUiLayerx:addChild(pSprite)
	pSprite:setScale(0.1)
	pSprite:runAction(CCRepeatForever:create(action))	
	
	-----
	local array = CCArray:create()
	array:addObject(CCScaleTo:create(0.3,0.9))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.02, ccp(screen_size.width/2 - 30, screen_size.height/2 + 110)))
	array:addObject(CCScaleTo:create(0.3,0.8))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.02, ccp(screen_size.width/2 - 25, screen_size.height/2 + 170)))
	array:addObject(CCScaleTo:create(0.3,0.6))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.02, ccp(screen_size.width/2 + 15, screen_size.height/2 + 110)))
	array:addObject(CCScaleTo:create(0.3,0.6))
	array:addObject(CCScaleTo:create(0.3,0))
	array:addObject(CCMoveTo:create(0.02, ccp(screen_size.width/2 - 12, screen_size.height/2 + 170)))

	local action  = CCSequence:create(array)

	local pSprite = helper:getPriteByCache('succ_star.png')
	pSprite:setPosition(ccp(screen_size.width/2+111,screen_size.height/2+190))
	pUiLayerx:addChild(pSprite)
	pSprite:setScale(0.1)
	pSprite:runAction(CCRepeatForever:create(action))	
	

	--道具的文字提示
	local pSpriteBack = helper:getPriteByCache('no_money.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+80))
	pUiLayerx:addChild(pSpriteBack)
	
	--确认按钮
	local pSprite = helper:get9PriteByCache('btn_green.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(295,130))
	pBtn:setTouchPriority(-2)
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-260+145))
	pUiLayerx:addChild(pBtn)
	local function onBtnClose()
		User:GetInstance():pay(EnumFeeType_MM513);
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
    -- local pSpriteBack = helper:getPriteByCache('buy_btn_text_d.png')
    -- pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-260+145))
    -- pUiLayerx:addChild(pSpriteBack)


    helper:addPriceBig(pBtn,EnumFeeType_MM513);	

	--local pSpriteBack = helper:getPriteByCache('news_ok.png')
	--pSpriteBack:setPosition(ccp(screen_size.width/2-40,screen_size.height/2-260+145))
	--pUiLayerx:addChild(pSpriteBack)
	
	--local pSpriteBack = helper:getPriteByCache('yuan_s.png')
	--pSpriteBack:setPosition(ccp(screen_size.width/2+40,screen_size.height/2-260+145))
	--pUiLayerx:addChild(pSpriteBack)
	
	--local levelLable = DigitLable:createCache('')
	--levelLable:setPixGap(-7)
	--levelLable:setDigitNum(15,'startbuyNum_')
	--levelLable:setPosition(ccp(screen_size.width/2+75,screen_size.height/2-260+145))
	--pUiLayerx:addChild(levelLable)
end 

--新的12个球复活界面
function show_failureMessage()
	local helper = UIUtils:create()
	local pGameScene = api_getGameMapScene()
	if pGameScene ==nil then 
		pGameScene = GameLevel:GetInstance():getGameScene()
	end 
	local pColorBack = CCLayerColor:create(ccc4(0,0,0,0))
	pColorBack:runAction(CCFadeTo:create(0.2,140))
	pGameScene:addChild(pColorBack,100)
	pColorBack:setTagName('buy_shop_12_color')
	
	local pUiLayerx = CCLayerRGBA:create()
	pColorBack:addChild(pUiLayerx,1)
	pUiLayerx:setTagName('buy_shop_12_ui')
		
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	--背景
	local pSpriteBack = helper:getPriteByCache('back_3.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayerx:addChild(pSpriteBack)
	


	local timeLable = DigitLable:createCache('')
	timeLable:setPixGap(-9)
	timeLable:setDigitNum(10,'deadtime_')
	timeLable:setPosition(ccp(screen_size.width/2,screen_size.height/2+300))
	pUiLayerx:addChild(timeLable)

	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))

	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+270))
	pUiLayerx:addChild(pBtn)
	local function onBtnClose()
		timeLable:stopAllActions()
		api_action_scale_hide(pColorBack)
		api_action_scale_hide(pUiLayerx)
		playEffects(enSound_CloseBtn,false)
		showSad_thrid()
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)

	
	
	local pSpriteBack = helper:getPriteByCache('sad_ten12.png')
	pSpriteBack:setScale(0.8)
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+130))
	pUiLayerx:addChild(pSpriteBack)
	
	
	--12个球的图片
	local helper = UIUtils:create()
	local pSpriteBack = helper:getPriteByCache('dadd_1.png')
	pSpriteBack:setScale(0.9)
	pSpriteBack:setPosition(ccp(screen_size.width/2-10,screen_size.height/2+130-25))
	pUiLayerx:addChild(pSpriteBack)
	helper:playAminForEverCache(pSpriteBack,'dadd',4,0.3)
	
	local pSpriteBack = helper:getPriteByCache('tools_12_dead.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-120+140-70))
	pUiLayerx:addChild(pSpriteBack)
	
	--确认按钮
	local pSprite = helper:get9PriteByCache('btn_green.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(295,130))
	
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-260+95))
	pUiLayerx:addChild(pBtn)
	local function onBtnClose()
		local dimoads = User:GetInstance():getToyNum(enToyType_Diamond);
		if dimoads >= 480 then 
			GameLevel:GetInstance():countOtherScore(1000);

			User:GetInstance():useToy(enToyType_Diamond,480)
			playEffects(enSound_BuyBtn,false)
			api_action_scale_hide(pColorBack)
			api_action_scale_hide(pUiLayerx)
			--支付成功的处理
			--GameLevel:GetInstance():addBBleft()
			showAddQiuAni()
			shoot_finish()
			playEffects(enSound_BuySucess,false)
		else 
			showNoMoney()
		end
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--文字
	local pSpriteBack = helper:getPriteByCache('news_ok.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2-50,screen_size.height/2-260+95))	
	pUiLayerx:addChild(pSpriteBack)
	
	local pSprite = helper:get9PriteByCache('dimand_2.png')
	pSprite:setPosition(ccp(screen_size.width/2+30-8,screen_size.height/2-260+95))
	pUiLayerx:addChild(pSprite,1)
		
	local lable = DigitLable:createCache('')
	lable:setPixGap(-2)
	lable:setDigitNum(480,'lifedimanod_')
	lable:setAnchorPoint(ccp(0,1))
	lable:setPosition(ccp(screen_size.width/2+95,screen_size.height/2-260+95))
	pUiLayerx:addChild(lable,1)
	
	
	local pSprite = helper:getPriteByCache('12_tip.png')
	pSprite:setAnchorPoint(ccp(1,0.5))
	pSprite:setPosition(ccp(screen_size.width-70-8,screen_size.height/2+305+30))
	pUiLayerx:addChild(pSprite,1)
	
	--添加松鼠
	--local pSprite = CCSprite:create('squirrel/other/LOSE_1.png')
	--pSprite:setAnchorPoint(ccp(1,0.5))
	--pSprite:setPosition(ccp(screen_size.width, screen_size.height/2-260+125-150))
	--pUiLayerx:addChild(pSprite)
	
	--local helper = UIUtils:create()
	--local anim_config = {pic='sad_ten',size=10,list='squirrel/other/sad_ten.plist'}
	--helper:playAminForEver(pSprite,anim_config.pic,anim_config.list,anim_config.size,0.08)
	

	
	timeStart = 10
	function onNext()
		timeStart = timeStart-1
		timeLable:setDigitNum(timeStart,'deadtime_')
		if timeStart == 0 then 
			timeLable:setVisible(false)
		end 
	end 
	
	local actionArray = CCArray:create()
	actionArray:addObject(CCDelayTime:create(1))
	actionArray:addObject(CCCallFunc:create(onNext))
	local action 	= CCSequence:create(actionArray)
	timeLable:runAction(CCRepeat:create(action,11))
end 


function show_dead()
	local pGameScene = GameLevel:GetInstance():getGameScene()
	
	local pUiLayerx = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayerx,100)
	pUiLayerx:setTagName('buy_shop_deads_ui')
		
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	local helper = UIUtils:create();
	local pColorBack = CCLayerColor:create(ccc4(0,0,0,1))
	pUiLayerx:addChild(pColorBack,2)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))

	pBtn:setPosition(ccp(screen_size.width-60,screen_size.height-60))
	pColorBack:addChild(pBtn)
	local function onBtnClose()
		playEffects(enSound_CloseBtn,false)
		api_action_scale_hide(pUiLayerx)

		-- if GameLevel:GetInstance():isNoLimit() then
		-- 	User:GetInstance():useToy(enToyType_Life);
		-- 	User:GetInstance():uploadScore();
		-- 	exitlimte = true
		-- else 
		-- 	showFailedAni()
		-- end
        showFailedAni()
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--死亡
	local pSpriteBack = CCSprite:create('ui/welcome/finish_back.data')
	pSpriteBack:setPosition(ccp(screen_size.width/2-10,screen_size.height/2+172))
	pColorBack:addChild(pSpriteBack)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.3,10))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	local pSpriteBack = helper:getPriteByCache('ghost_sicon.png');
	pSpriteBack:setPosition(ccp(screen_size.width/2-10,screen_size.height/2+200))
	pColorBack:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('ghost_stext.png');
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+30))
	pColorBack:addChild(pSpriteBack)
	
	--确认按钮
	local pSprite = helper:get9PriteByCache('btn_green.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(295,130))
	
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-260+155))
	pColorBack:addChild(pBtn)
	
	local dindex = 2;
	local function hiddenRound()
		local pGameScene = GameLevel:GetInstance():getGameScene()
		local bbLayer = pGameScene:getBBlayer()
		bbLayer:onShowDead(pUiLayerx,dindex)
		dindex = dindex - 1	
	end
	
	local function exitLayer()
		pUiLayerx:removeChildByTag(100987,true);
		api_action_scale_hide(pUiLayerx)
	end 
	
	
	local function hiddenBtn()
		local actionArray = CCArray:create()
		actionArray:addObject(CCMoveBy:create(0.2,ccp(0,200)))
		actionArray:addObject(CCHide:create())
		actionArray:addObject(CCDelayTime:create(0.2));
		actionArray:addObject(CCCallFunc:create(hiddenRound));
		actionArray:addObject(CCDelayTime:create(0.2));
		actionArray:addObject(CCCallFunc:create(hiddenRound));
		actionArray:addObject(CCDelayTime:create(0.2));
		actionArray:addObject(CCCallFunc:create(exitLayer));		
		local action  = CCSequence:create(actionArray)
		pColorBack:runAction(action)
	end 
	
	local function onBtnClose()
		playEffects(enSound_BuyBtn,false)
		local dimoads = User:GetInstance():getToyNum(enToyType_Diamond);
		if dimoads >= 480 then 
			GameLevel:GetInstance():countOtherScore(1000);
			User:GetInstance():useToy(enToyType_Diamond,20)


			hiddenBtn()
            shoot_finish()
			--支付成功的处理
			GameLevel:GetInstance():doBackStep()
			playEffects(enSound_BuySucess,false)
		else
			showNoMoney()
		end
		
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	doImageAction(pBtn)
	
	
	--文字
	local pSpriteBack = helper:getPriteByCache('news_ok.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2-50,screen_size.height/2-260+155))	
	pColorBack:addChild(pSpriteBack)
	
	local pSprite = helper:getPriteByCache('dimand_1.png')
	pSprite:setPosition(ccp(screen_size.width/2+30,screen_size.height/2-260+155))
	pColorBack:addChild(pSprite,1)
		
	local lable = DigitLable:createCache('')
	lable:setPixGap(-2)
	lable:setDigitNum(480,'lifedimanod_')
	lable:setAnchorPoint(ccp(0,1))
	lable:setPosition(ccp(screen_size.width/2+100,screen_size.height/2-260+155))
	pColorBack:addChild(lable,1)
	pColorBack:setVisible(false);
		
	local index = 1;
	
	local function showRound()
		local pGameScene = GameLevel:GetInstance():getGameScene()
		local bbLayer = pGameScene:getBBlayer()
		bbLayer:onShowDead(pUiLayerx,index)
		index = index + 1
	end
	
	
	local function showBtns()
		local actionArray = CCArray:create()
		actionArray:addObject(CCMoveBy:create(0,ccp(0,200)))
		actionArray:addObject(CCShow:create())
		actionArray:addObject(CCMoveBy:create(0.2,ccp(0,-200)))
		local action  = CCSequence:create(actionArray)
		pColorBack:runAction(action)

		local pGameScene = GameLevel:GetInstance():getGameScene();
		local bbLayer = pGameScene:getBBlayer();
		bbLayer:clearShoots();
		showSad9()
	end
	
	local actionArray = CCArray:create()
	actionArray:addObject(CCCallFunc:create(showRound));
	actionArray:addObject(CCDelayTime:create(0.2));
	actionArray:addObject(CCCallFunc:create(showRound));
	actionArray:addObject(CCDelayTime:create(0.2));
	actionArray:addObject(CCCallFunc:create(showRound));
	actionArray:addObject(CCDelayTime:create(0.2));
	actionArray:addObject(CCCallFunc:create(showBtns));
	local action  = CCSequence:create(actionArray)
	pUiLayerx:runAction(action)
end


--显示12球的特效
function showAddQiuAni()
	local helper = UIUtils:create()
	local pGameScene = GameLevel:GetInstance():getGameScene()
		
	local pUiLayerx = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayerx,1)
	pUiLayerx:setTagName('add_12_ui')
	
	pUiLayerx:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayerx:isVisible() end end,false,1,true)
	pUiLayerx:setTouchEnabled(true)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()

	
	local pSprite = CCSprite:create('ui/welcome/finish_back.data')
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height-300))
	pUiLayerx:addChild(pSprite)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.3,30))
	local action  = CCSequence:create(array)
	pSprite:runAction(CCRepeatForever:create(action))
	
	
	
	local pSprite = helper:getPriteByCache('fruit.png')
	pSprite:setScale(0.8)
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height-300))
	pUiLayerx:addChild(pSprite,1)
	
	
	function onExitx()
		api_action_scale_hide(pUiLayerx)
		local pGameScene = GameLevel:GetInstance():getGameScene()
		local bbLayer = pGameScene:getBBlayer()
		bbLayer:resetGameState();		
	end 

	function onOne()
		local pGameScene = GameLevel:GetInstance():getGameScene()
		local bbLayer = pGameScene:getBBlayer()
		bbLayer:onAddLeftTotal(1)
		GameLevel:GetInstance():addEveryBBleft(1);
		refresh_bubbleNum(false)
	end

	function doOne()
		local helper = UIUtils:create()
		if indexNum > 0 then 
			indexNum = indexNum -1;
			local days = helper:getPriteByCache('star.png')
			days:setPosition(ccp(screen_size.width/2,screen_size.height-300))
			days:setVisible(false)
			pUiLayerx:addChild(days) 
			
			local actionArray = CCArray:create()
			actionArray:addObject(CCDelayTime:create(0.1))
			actionArray:addObject(CCCallFunc:create(doOne))
			actionArray:addObject(CCShow:create())
			actionArray:addObject(CCMoveTo:create(0.2,ccp(50,270)))
			actionArray:addObject(CCHide:create())
			actionArray:addObject(CCCallFunc:create(onOne))
			local action 	= CCSequence:create(actionArray)
			days:runAction(action)
		else 
			onExitx();
		end 
	end
	indexNum = 12	
	doOne()
end
