
-- 使用道具界面

local guide_config = {
{img = 'ui/welcome/g_1.d2',name= 'ui/welcome/g_t_1.data'},
{img = 'ui/welcome/g_2.d2',name= 'ui/welcome/g_t_2.data'},
{img = 'ui/welcome/g_3.d2',name= 'ui/welcome/g_t_3.data'},
{img = 'ui/welcome/g_4.d2',name= 'ui/welcome/g_t_4.data'},
}

backBtn = nil

local backImage
local backText1
local backText2
local backText3
local backText4
local backText
local backTouchText
local backTouchImage

local canClick = false
local index = 1

isShowExit = false

function showGuides(pGameScene,isEnter)
	
	index = 1;
	canClick = false
	User:GetInstance():taklingEventOnce("first_four_guide");
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	local pUiLayer = CCLayerRGBA:create()
	pGameScene:addChild(pUiLayer,100)
	pUiLayer:setTagName('setting_start_ui')
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,0,true)
	pUiLayer:setTouchEnabled(true)
	
	
	backImage = CCSprite:create(guide_config[index].img);
	--backImage:setScaleY(screen_size.height/1140); --高度暂时不压
	backImage:setScaleX(screen_size.width/640);
	backImage:setPosition(ccp(screen_size.width/2,screen_size.height/2));
	pUiLayer:addChild(backImage);
	
	backText1= CCSprite:create(guide_config[1].name);
	backText1:setPosition(ccp(30+170,150));
	backText1:setVisible(false)
	pUiLayer:addChild(backText1);
	
	backText2= CCSprite:create(guide_config[2].name);
	backText2:setPosition(ccp(30+206,150));
	backText2:setVisible(false)
	pUiLayer:addChild(backText2);
	
	backText3= CCSprite:create(guide_config[3].name);
	backText3:setPosition(ccp(30+301-80,150));
	backText3:setVisible(false)
	pUiLayer:addChild(backText3);
	
	backText4= CCSprite:create(guide_config[4].name);
	backText4:setPosition(ccp(30+136,150));
	backText4:setVisible(false)
	pUiLayer:addChild(backText4);
	
	
	backTouchText = CCSprite:create('ui/welcome/g_touc_tip.data');
	backTouchText:setPosition(ccp(screen_size.width-170,70));
	backTouchText:setVisible(false)
	pUiLayer:addChild(backTouchText)
	
	backTouchImage = CCSprite:create('ui/welcome/g_touc_hand.data');
	backTouchImage:setPosition(ccp(screen_size.width-60,70));
	backTouchImage:setVisible(false)
	pUiLayer:addChild(backTouchImage);
	
	backBtn = CCControlButton:create(CCScale9Sprite:create())
	backBtn:setTouchPriority(-2)
	backBtn:setPreferredSize(CCSizeMake(screen_size.width, screen_size.height))
	backBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2));
	pUiLayer:addChild(backBtn)
	backBtn:setTouchEnabled(false)

	
        
	local function onBtnGoNext()
		if index >= 4 then 
			User:GetInstance():addToyNum(enToyType_isGuide)
			api_action_scale_hide(pUiLayer)
			if isEnter then 
				--pGameScene:buildLoadLayer()
				backBtn:setTouchEnabled(false)
			end 
		else 
			showNextGuides()
		end 
	end
	backBtn:addHandleOfControlEvent(onBtnGoNext,CCControlEventTouchUpInside)
	
	showBackText(backText1)

	--跳过 
	local  jumpPass = CCScale9Sprite:create("ui/welcome/sige_tiaoguo.data")      
    local jumpPassBt = CCControlButton:create(jumpPass)
    jumpPassBt:setPreferredSize(CCSizeMake(90,30))
    jumpPassBt:setPosition(ccp(screen_size.width-100,screen_size.height-50))
    jumpPassBt:setTouchPriority(-3)
    pUiLayer:addChild(jumpPassBt)
    local arr = CCArray:create()
    local rot = CCRotateBy:create(0.1,10)
    local de =  CCDelayTime:create(0.5)
    arr:addObject(rot)
    arr:addObject(rot:reverse())
    arr:addObject(rot:copy():autorelease())
    arr:addObject(rot:reverse())
    arr:addObject(de)
    jumpPassBt:runAction(CCRepeatForever:create(CCSequence:create(arr)))
    local function jumpPassbtCallBack(event,pBtn)
		index = 5
		onBtnGoNext()
		
	end
    jumpPassBt:addHandleOfControlEvent(jumpPassbtCallBack,CCControlEventTouchUpInside)	
		
end

function showTouchText()
	api_action_scale_show(backTouchImage)
	api_action_scale_show(backTouchText)
	
	local actionArray = CCArray:create()
	actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.2,1.1),CCMoveBy:create(0.2,ccp(10,10))))
	actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.2,1),CCMoveBy:create(0.2,ccp(-10,-10))))
	local action  = CCSequence:create(actionArray)
	backTouchImage:runAction(CCRepeatForever:create(action))
	backBtn:setTouchEnabled(true)
end


function showBackText(backTextx)	
	backBtn:setTouchEnabled(false)
	backText = backTextx
	local actionArray = CCArray:create()
	actionArray:addObject(CCDelayTime:create(0.3))
	actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.12,0.1),CCFadeTo:create(0.12,0)))
	actionArray:addObject(CCShow:create())
	actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,1),CCFadeTo:create(0.3,255)))
	actionArray:addObject(CCDelayTime:create(0.3))
	actionArray:addObject(CCCallFunc:create(showTouchText))
	local action  = CCSequence:create(actionArray)
	backTextx:runAction(action)
end

function showNextGuides()
	index = index+1;
	backTouchImage:stopAllActions();
	
	backText:setVisible(false);
	--api_action_scale_hide(backText)
	backTouchImage:setVisible(false);
	backTouchText:setVisible(false);
	--api_action_scale_hide(backTouchImage)
	--api_action_scale_hide(backTouchText)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	backTouchImage:setPosition(ccp(screen_size.width-60,70));
	
	changImag(backImage,guide_config[index].img)
	if index == 2 then 
		showBackText(backText2)
	elseif index == 3 then 
		showBackText(backText3)
	elseif index == 4 then 
		showBackText(backText4)
	end
end


-------------------显示android退出-------------------------------------
function showAndroidExit()

	-- User:GetInstance():exitGame()
	local helper = UIUtils:create()
	local pGameScene = api_getGameMapScene()
	if pGameScene == nil then
		 pGameScene = api_getGameLoadScene()
	end

	local pBackLayer = pGameScene:getChildByTag(523456);


	if pBackLayer then 
		isShowExit = true;
		local pUiLayer = pBackLayer:getChildByTag(123)
		api_action_scale_show(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.12,140))
		return;
		
	end

	isShowExit = true;
	local screen_size = CCDirector:sharedDirector():getWinSize()
	local pBackLayer = CCLayerColor:create(ccc4(0,0,0,0))
	pBackLayer:runAction(CCFadeTo:create(0.12,140))
	pGameScene:addChild(pBackLayer,200)
	pBackLayer:setTag(523456)
	pBackLayer:setOpacity(-2)
	
	pUiLayer = CCLayerRGBA:create()
	pBackLayer:addChild(pUiLayer,100)
	pUiLayer:setTagName('setting_start_ui')
	pUiLayer:setTag(123)
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,0,true)
	pUiLayer:setTouchEnabled(true)
		
	local pSpriteBack = helper:getPriteByCache('back_1.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+240))
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
		playEffects(enSound_CloseBtn,false)
		isShowExit = false

	end
	pBtn:setTouchPriority(-2)
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)

	
	--松鼠
	local pSpriteBack = helper:getPriteByCache('exit_icon.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+70))
	pUiLayer:addChild(pSpriteBack)
	
	--提示
	local pSpriteBack = helper:getPriteByCache('exit_tip.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2+20,screen_size.height/2+260))
	pUiLayer:addChild(pSpriteBack)
	
	
	local array = CCArray:create()
	array:addObject(CCRotateTo:create(0.1,3))
	array:addObject(CCRotateTo:create(0.1,-3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	local pSprite = helper:get9PriteByCache('btn_green.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(295,130))
	pBtn:setTouchPriority(-2)
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-115))
	pUiLayer:addChild(pBtn)
	
	local function onBtnExit()
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))
		playEffects(enSound_CloseBtn,false)
		pGameScene:doExit()
	end
	pBtn:setTouchPriority(-2)
	pBtn:addHandleOfControlEvent(onBtnExit,CCControlEventTouchUpInside)
	
	
	local pSpriteBack = helper:getPriteByCache('exit.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-115))
	pUiLayer:addChild(pSpriteBack)
end

function initSounds()
	-- User:GetInstance():initSound()
end







