﻿
local openBtn = nil
local closeBtn = nil
local minTxt = nil
local minlable = nil
local sendlable = nil
local timsplist = nil

local lifeS = nil

local lifeNum = nil
local lifeMaxNum = nil
isClikeLeft = false

function show_life(pGameScene)
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	pGameScene:removeChildByTag(222,true)

	local pBackLayer = CCLayerColor:create(ccc4(0,0,0,0))
	pBackLayer:runAction(CCFadeTo:create(0.12,140))
	pGameScene:addChild(pBackLayer,1)
	pBackLayer:setOpacity(0) 
	pBackLayer:setTagName('life_gameui')
	pBackLayer:setTag(222)
	
	local pUiLayer = CCLayerRGBA:create()
	pBackLayer:addChild(pUiLayer,100)
	pUiLayer:setTagName('life_gameui_layer')
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,-1,true)
	pUiLayer:setTouchEnabled(true)
		
	local pSpriteBack = helper:getPriteByCache('back_1.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('back_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+290))
	pUiLayer:addChild(pSpriteBack)
	
	--设置标题
	local pSpriteBack = helper:getPriteByCache('live_title.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+290))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setPosition(ccp(screen_size.width/2+270,screen_size.height/2+240))
	pBtn:setTouchPriority(-2)
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		minlable = nil
		sendlable = nil
		lifeNum = nil
		lifeMaxNum = nil
		playEffects(enSound_CloseBtn,false)
		api_action_scale_hide(pUiLayer)
		pBackLayer:runAction(CCFadeTo:create(0.3,0))

	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	
	--获取最大的心 和 当前的心
	local maxheart = User:GetInstance():getToyNum(enToyType_Life_MAX)
	local life  = User:GetInstance():getToyNum(enToyType_Life)
	
	lifeS = helper:getPriteByCache(getLifeImage(1))
	lifeS:setPosition(ccp(screen_size.width/2-60,screen_size.height/2+100+30))
	pUiLayer:addChild(lifeS)
	
	lifeNum = DigitLable:createCache('map/mapall3.png')
	lifeNum:setPixGap(-5)
	lifeNum:setAnchorPoint(ccp(1,0.5))
	lifeNum:setDigitNum(User:GetInstance():getToyNum(enToyType_Life),'lifemax_')
	lifeNum:setPosition(ccp(screen_size.width/2+60,screen_size.height/2+80+30))
	pUiLayer:addChild(lifeNum)
	
	local line = helper:getPriteByCache('life_split_l.png')
	pUiLayer:addChild(line)
	line:setPosition(ccp(screen_size.width/2+60,screen_size.height/2+80+30))
	
	lifeMaxNum = DigitLable:createCache('map/mapall3.png')
	lifeMaxNum:setAnchorPoint(ccp(0,0.5))
	lifeMaxNum:setPixGap(-5)
	lifeMaxNum:setDigitNum(User:GetInstance():getToyNum(enToyType_Life_MAX),'lifecur_')
	lifeMaxNum:setPosition(ccp(screen_size.width/2+80,screen_size.height/2+80+30))
	pUiLayer:addChild(lifeMaxNum)
	
	
	--按钮
	local heights = screen_size.height/2-70-60
	theight = heights+80
	local pSprite = helper:get9PriteByCache('btn_green.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(295,130))
	
	pBtn:setTouchPriority(-2)
	pBtn:setPosition(ccp(screen_size.width/2,heights))
	pUiLayer:addChild(pBtn)
	local function onBuyLife()
		if isClikeLeft then 
			return
		end
		maxheart = User:GetInstance():getToyNum(enToyType_Life_MAX)
		life  = User:GetInstance():getToyNum(enToyType_Life)
		local dimoads = User:GetInstance():getToyNum(enToyType_Diamond);
		if dimoads >= 240 then
			playEffects(enSound_BuyBtn,false)
			
			function onExitx()
				minlable = nil
				sendlable = nil
				lifeNum = nil
				lifeMaxNum = nil
				api_action_scale_hide(pUiLayer)
				pBackLayer:runAction(CCFadeTo:create(0.3,0))
				User:GetInstance():updateHearts(maxheart, maxheart, true);
			end 
				
			if maxheart-life > 0 then
				User:GetInstance():useToy(enToyType_Diamond,240)
			
				function onOne()
					User:GetInstance():addToyNum(enToyType_Life,1)
					updateToys()
					playEffects(enSound_BuySucess,false)
				end
			
				function doOne()
					changImagCache(lifeS,'life_s.png')
					if indexNum > 0 then 
						indexNum = indexNum -1;
						local hearts = helper:get9PriteByCache('life_s.png')
						hearts:setPosition(ccp(lifeS:getPositionX(),lifeS:getPositionY()))
						hearts:setVisible(false)
						pUiLayer:addChild(hearts) 
						
						local actionArray = CCArray:create()
						actionArray:addObject(CCDelayTime:create(0.2))
						actionArray:addObject(CCCallFunc:create(doOne))
						actionArray:addObject(CCShow:create())
						actionArray:addObject(CCScaleTo:create(0.2,0.6))
						actionArray:addObject(CCMoveTo:create(0.2,ccp(280-20,screen_size.height-67)))
						--actionArray:addObject(CCSpawn:createWithTwoActions(CCMoveTo:create(0.2,ccp(280-20,screen_size.height-67)),CCS--caleTo:create(0.2,0.6)))
						actionArray:addObject(CCHide:create())
						actionArray:addObject(CCCallFunc:create(onOne))						
						local action 	= CCSequence:create(actionArray)
						hearts:runAction(action)
					else
						onExitx()
					end
				end
				isClikeLeft = true
				indexNum = maxheart-life
				doOne()
			else 
				onExitx()
			end 
		else 
			showNoMoney()
		end
		
	end
	pBtn:addHandleOfControlEvent(onBuyLife,CCControlEventTouchUpInside)
	
	
	--按钮文字
	local pSpriteBack = helper:getPriteByCache('live_btn_text.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2-50,heights))
	pUiLayer:addChild(pSpriteBack)
	
	local pSprite = helper:getPriteByCache('dimand_2.png')
	pSprite:setPosition(ccp(screen_size.width/2+30,heights))
	pUiLayer:addChild(pSprite,1)
	
	local lable = DigitLable:createCache('map/mapall3.png')
	lable:setPixGap(-2)
	lable:setDigitNum(240,'lifedimanod_')
	lable:setAnchorPoint(ccp(0,1))
	lable:setPosition(ccp(screen_size.width/2+95,heights))
	pUiLayer:addChild(lable,1)
	
	
	
	if maxheart > life then 
		--文字
		minTxt = helper:getPriteByCache('live_time.png')
		minTxt:setPosition(ccp(screen_size.width/2,heights+130+25))
		pUiLayer:addChild(minTxt)	
		minTxt:setVisible(false)
		
		minlable = DigitLable:createCache('map/mapall3.png')
		minlable:setPixGap(-2)
		minlable:setDigitNum(0,'lifetime_')
		minlable:setAnchorPoint(ccp(1,0))
		minlable:setPosition(ccp(screen_size.width/2-5,theight+25))
		pUiLayer:addChild(minlable,1)
		minlable:setVisible(false)
		
		timsplist = helper:getPriteByCache('live_time_split.png')
		timsplist:setPosition(ccp(screen_size.width/2,theight+25))
		pUiLayer:addChild(timsplist)
		timsplist:setVisible(false)
		
		sendlable = DigitLable:createCache('map/mapall3.png')
		sendlable:setShowZero()
		sendlable:setPixGap(-2)
		sendlable:setDigitNum(0,'lifetime_')
		sendlable:setAnchorPoint(ccp(0,0))
		sendlable:setPosition(ccp(screen_size.width/2+25,theight+25))
		pUiLayer:addChild(sendlable,1)
		sendlable:setVisible(false)
	
	end 
	
	api_action_scale_show(pUiLayer)
	end
	
function getLifeImage(num)
	local life  = User:GetInstance():getToyNum(enToyType_Life)
	if life >= num then
		return 'life_s.png';
	end 
	return 'life_n.png';
end 


function enterGame()
	minlable = nil
	sendlable = nil
	gameMin = nil
	gameSencod = nil
end 

function refersh_life(times)

	if timsplist then
		timsplist:setVisible(true)
	end
	
	if minTxt then
		minTxt:setVisible(true)
	end


	refersh_life_game(times)
	local mins = times/60;
	local send = times % 60;
	if minlable ~= nil then
		minlable:setVisible(true)
		minlable:setDigitNum(mins,'lifetime_')
	end 
	if sendlable ~= nil then
		sendlable:setVisible(true)
		sendlable:setDigitNum(send,'lifetime_')
	end 
	if lifeNum ~= nil then 
		lifeNum:setDigitNum(User:GetInstance():getToyNum(enToyType_Life),'lifemax_')
	end
	if lifeMaxNum ~= nil then
		lifeMaxNum:setDigitNum(User:GetInstance():getToyNum(enToyType_Life_MAX),'lifecur_')
	end

	if User:GetInstance():getToyNum(enToyType_Life_MAX) == User:GetInstance():getToyNum(enToyType_Life) then
		if minTxt ~= nil then
			minTxt:setVisible(false)
		end 
		if sendlable ~= nil then
			sendlable:setVisible(false)
		end 
		if minlable ~= nil then 
			minlable:setVisible(false)
		end
	end



	changImagCache(lifeS,getLifeImage(1))
end