
local tb_map_item = {
{px=454,py=353,},
{px=392,py=486,},
{px=249,py=581,},
{px=144,py=711,},
{px=301,py=796,},
{px=418,py=916,},
{px=285,py=1003,},
{px=164,py=1157,},
{px=283,py=1276,},
{px=399,py=1401,},
{px=393,py=1570,},
{px=163,py=1643,},
{px=307,py=1763,},
{px=364,py=1915,},
{px=312,py=2077,},
{px=373,py=2234,},
{px=354,py=2424,},
{px=227,py=2550,},
{px=334,py=2678,},
{px=504,py=2779,},
{px=419,py=2935,},
{px=245,py=2975,},
{px=104,py=3043,},
{px=276,py=3177,},
{px=475,py=3222,},
{px=590,py=3373,},
{px=460,py=3511,},
{px=268,py=3524,},
{px=125,py=3590,},
{px=92,py=3780,},
{px=169,py=3938,},
{px=341,py=4030,},
{px=515,py=4058,},
{px=363,py=4194,},
{px=226,py=4294,},
{px=356,py=4426,},
{px=233,py=4526,},
{px=441,py=4561,},
{px=580,py=4644,},
{px=387,py=4717,},
{px=202,py=4686,},
{px=115,py=4802,},
{px=281,py=4843,},
{px=494,py=4839,},
{px=563,py=4961,},
{px=391,py=4972,},
{px=213,py=5003,},
{px=293,py=5137,},
{px=423,py=5238,},
{px=269,py=5260,},
{px=134,py=5308,},
{px=279,py=5392,},
{px=441,py=5454,},
{px=273,py=5547,},
{px=136,py=5630,},
{px=295,py=5722,},
{px=453,py=5794,},
{px=276-60,py=5879,},
{px=360,py=6064,},
{px=482,py=6181,},
{px=391,py=6331,},
{px=274,py=6463,},
{px=394,py=6588,},
{px=305,py=6755,},
{px=166,py=6855,},
{px=340,py=6927,},
{px=326,py=7101,},
{px=464,py=7231,},
{px=404,py=7417,},
{px=397,py=7611,},
{px=249,py=7775,},
{px=401,py=7864,},
{px=523,py=7983,},
{px=433,py=8140,},
{px=230,py=8159,},
{px=219,py=8344,},
{px=415,py=8404,},
{px=518,py=8584,},
{px=390,py=8762,},
{px=234+45,py=8889,},
{px=226,py=9081,},
{px=305,py=9269,},
{px=287,py=9491,},
{px=291,py=9704,},
{px=412,py=9842,},
{px=137,py=9896,},
{px=323,py=10051,},
{px=452,py=10188,},
{px=507,py=10382,},
{px=330,py=10466,},
{px=162,py=10383,},
{px=96,py=10559,},
{px=264,py=10658,},
{px=476,py=10751,},
{px=477,py=10958,},
{px=280,py=11041,},
--{px=205,py=11200,},
--{px=337,py=11360-30,},
}

local curLevel = 0
local curMaplayer = nil
local curIndex = 0

local function getPassStar(index)
	return User:GetInstance():isPass(index)
end

local function isLock(index)
	return User:GetInstance():isLock(index)
end 

local function getPassStarNum(index)
	return User:GetInstance():getHistoryStar(index)
end

--是否是大关卡
local function isBigLevel(index)
	return User:GetInstance():isBigLevel(index)
end 

local function onItemClick(event,pBtn)
	playEffects(enSound_MenuBtn,false)
	if pBtn:getTag() <= curLevel then 
		local num = User:GetInstance():getToyNum(enToyType_Life)
		if num > 0 then
			if isBigLevel(pBtn:getTag()) then 
				if isLock(pBtn:getTag()) then 
					show_lockDialog(pBtn:getTag());
				else 
					show_start_layer(getGameMapScene(),pBtn:getTag(),true)
				end 
			else 
				show_start_layer(getGameMapScene(),pBtn:getTag(),true)
			end 
		else
			show_life(getGameMapScene())
		end
	else 
		--show_start_layer(getGameMapScene(),pBtn:getTag(),true)
		--关卡展示做限制
	end 
end

function show_checkpoint(pMapLayer)
	
	local helper = UIUtils:create()
	local screen_size = CCDirector:sharedDirector():getWinSize()
	curMaplayer = pMapLayer
	
	local hasCur = false;
	for i=1,#tb_map_item do
		--判断是否已经通过的关卡
		local star = getPassStar(i)
		local starNum = getPassStarNum(i)
		local pSprite = nil
		
		--未通过
		if star == false and hasCur == true then
			if isBigLevel(i) then 
				pSprite = helper:get9PriteByCache('item_b_unpass.png')
			else
				pSprite = helper:get9PriteByCache('item_unpass.png')
			end 
		end 
		
		--是否是当前关卡
		if star == false and hasCur == false then
		  curLevel = i;
		  hasCur = true;
		  --pSprite = CCScale9Sprite:create('ui/mapui/item_cur.png')
		  if isBigLevel(i) then 
			 pSprite = helper:get9PriteByCache('item_b_unpass.png')
		  else
			 pSprite = helper:get9PriteByCache('item_cur.png')
		  end 
		  
		  --游走的松鼠
		  local iconx = helper:getPriteByCache('icon_x.png')
		  iconx:setTagName('GO_ICON')
		  if tb_map_item[i].px+75 < screen_size.width then 
			iconx:setPosition(ccp(tb_map_item[i].px+75,tb_map_item[i].py+45))
		  else 
			iconx:setPosition(ccp(tb_map_item[i].px-75,tb_map_item[i].py+45))
		  end
          addViewA(iconx) 
		  pMapLayer:addChild(iconx,3)
		end 
		
		--已经通过的
		if star == true then 
			if isBigLevel(i) then 
				pSprite = helper:get9PriteByCache(string.format('item_bpass_%d.png',starNum))
			else
				pSprite = helper:get9PriteByCache(string.format('item_pass_%d.png',starNum))
			end
		end 
		
		local lable = nil
		if isBigLevel(i) then
			lable = doBigLevel(pMapLayer,pSprite,i,star)
			lable:setPosition(ccp(65+10+7,69-4))
		else 
			lable = doNormalLevel(pMapLayer,pSprite,i,star)
			lable:setPosition(ccp(56,42))
		end 		
	end
	
	
	if curLevel ==0 then 
		curLevel = 96
	end 
	
	if User:GetInstance().posty == 0 and curLevel >= 5 then
		pMapLayer:setPositionY(-tb_map_item[curLevel].py+screen_size.height/2-100)
	end 
	curMaplayer = pMapLayer
	loadMapsDyna(pMapLayer)


	
	local isQ = User:GetInstance():getValue('map_level_1_success') > 0;
	if not isQ then 

		local handler = helper:getPriteByCache('guideimgs_8.png');
		handler:setPosition(ccp(tb_map_item[1].px+30,tb_map_item[1].py-60))
		curMaplayer:addChild(handler,22)

		local actionArray = CCArray:create()
		actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.7),CCMoveBy:create(0.3,ccp(10,10))))
		actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.6),CCMoveBy:create(0.3,ccp(-10,-10))))
		local action  = CCRepeatForever:create(CCSequence:create(actionArray))
		handler:runAction(action)

		User:GetInstance():addValue('map_level_1_success',1);

	end 	

end

--普通关卡
function doNormalLevel(pMapLayer,pSprite,i,star)
	local helper = UIUtils:create()
	if i == curLevel then 
		local totalSize = 4;
		local index = 0;
		--光圈的效果
		local function doNextRound()
			local helper = UIUtils:create()
			if index < totalSize then 
				index = index + 1
				local ps = helper:getPriteByCache('item_back_round.png')
				ps:setPosition(ccp(tb_map_item[curLevel].px,tb_map_item[curLevel].py-50))
				ps:setScale(0.3)
				pMapLayer:addChild(ps);
				
				local actionArray = CCArray:create()
				actionArray:addObject(CCDelayTime:create(1))
				actionArray:addObject(CCCallFunc:create(doNextRound))
				actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(2,1.3),CCFadeTo:create(2,255)))
				actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.5,1.5),CCFadeTo:create(0.5,0)))
				actionArray:addObject(CCHide:create())
				actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.01,0.3),CCFadeTo:create(0.01,255)))
				actionArray:addObject(CCShow:create())
				local action 	= CCRepeatForever:create(CCSequence:create(actionArray))
				ps:runAction(action)
			end
		end
		doNextRound()
	end 

	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(92,106))
							
	pBtn:setPosition(ccp(tb_map_item[i].px,tb_map_item[i].py))
	pBtn:setTag(i)
	pMapLayer:addChild(pBtn,1)
	pBtn:addHandleOfControlEvent(onItemClick,CCControlEventTouchUpInside)
	
	if star or i == curLevel then
		local lable = DigitLable:createCache('map/mapall3.png')
		lable:setPixGap(-2)
		lable:setDigitNum(i,'passlevel_')
		pBtn:addChild(lable)
		return lable;

	else 
		local lable = DigitLable:createCache('map/mapall3.png')
		lable:setPixGap(-2)
		lable:setDigitNum(i,'unknownlevel_')
		pBtn:addChild(lable)
		return lable;
	end 
end 

--做大关卡
function doBigLevel(pMapLayer,pSprite,i,star)
	local helper = UIUtils:create()
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(130,150))
							
	pBtn:setPosition(ccp(tb_map_item[i].px,tb_map_item[i].py))
	pBtn:setTag(i)
	pMapLayer:addChild(pBtn)
	pBtn:addHandleOfControlEvent(onItemClick,CCControlEventTouchUpInside)
	
	local lable = nil
	if star then
		lable = DigitLable:createCache('map/mapall3.png')
		lable:setPixGap(-2)
		lable:setDigitNum(i,'passlevel_')
	else 
		lable = DigitLable:createCache('map/mapall3.png')
		lable:setPixGap(-2)
		lable:setDigitNum(i,'unknownlevel_')
	end 
	
	if getPassStar(i) == false then 
		local spric = helper:getPriteByCache('item_b_star.png')
		spric:setPosition(ccp(65-5,69-7))
		spric:setTagName(string.format('lock_light_star_%d',i))
		pBtn:addChild(spric)

	end 
	
	lable:setScale(1.5)
	pBtn:addChild(lable)
	
	curMaplayer = pMapLayer
	if isLock(i) then 
		lable:setTagName(string.format('lock_light_label_%d',i))
		lable:setVisible(false);
		--闪电
		local lightLeft = helper:getPriteByCache('item_lock.png')
		lightLeft:setPosition(ccp(tb_map_item[i].px,tb_map_item[i].py-15))
		pMapLayer:addChild(lightLeft)
		lightLeft:setTagName(string.format('lock_light_key_%d',i))
	end 
	
	return lable;
end 

function show_lockDialog(index)
	
	local helper = UIUtils:create()
	local num =  User:GetInstance():getBigStars(index);
	local noNum = User:GetInstance():getTotalStar(index);
	local hasNum = noNum-num >= 0
	local bNum = noNum-num
	if hasNum then 
		bNum = num;
	end 
	
	if noNum == num then 
		doUnLock(index,false)
		return;
	end 

	local pGameScene = getGameMapScene()
	local pColorBack = CCLayerColor:create(ccc4(0,0,0,0))
	pColorBack:runAction(CCFadeTo:create(0.2,140))
	pGameScene:addChild(pColorBack,100)
	pColorBack:setTagName('color_back_lock')
	
	local pUiLayer = pGameScene:getChildByTagName('lock_dialog')
	if pUiLayer ~= nil then
		api_action_scale_show(pUiLayer)
		return
	end
	
	pUiLayer = CCLayerRGBA:create()
	pColorBack:addChild(pUiLayer,1)
	pUiLayer:setTagName('lock_dialog')
		
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,1,true)
	pUiLayer:setTouchEnabled(true)
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	local pSpriteBack = helper:getPriteByCache('back_4.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(64,64))

	pBtn:setPosition(ccp(screen_size.width/2+260,screen_size.height/2+180))
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		local pBackLayer = pGameScene:getChildByTagName('color_back_lock')
		if pBackLayer ~= nil then
			pBackLayer:removeFromParentAndCleanup(true)
		end
		api_action_scale_hide(pUiLayer)
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)

	
	
	local pSpriteBack = helper:getPriteByCache('lock_star.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2-90-40+40,screen_size.height/2+100))
	pUiLayer:addChild(pSpriteBack)
	doImageActionY(pSpriteBack)
	
	local lable = DigitLable:createCache('map/mapall3.png')
	lable:setPixGap(-5)
	lable:setAnchorPoint(ccp(1,0.5))
	lable:setDigitNum(noNum,'totalstars_')
	lable:setPosition(ccp(screen_size.width/2+10+30,screen_size.height/2+100))
	pUiLayer:addChild(lable)
	
	local pSpriteBack = helper:getPriteByCache('lock_split.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2+10+30,screen_size.height/2+100))
	pUiLayer:addChild(pSpriteBack)
	
	local lable = DigitLable:createCache('map/mapall3.png')
	lable:setPixGap(-5)
	lable:setAnchorPoint(ccp(0,0.5))
	lable:setDigitNum(num,'totalstars_')
	lable:setPosition(ccp(screen_size.width/2+30+30,screen_size.height/2+100))
	pUiLayer:addChild(lable)
	
	
	local lable = DigitLable:createCache('map/mapall3.png')
	lable:setPixGap(-5)
	lable:setDigitNum(bNum,'hasstars_')
	lable:setPosition(ccp(screen_size.width/2-58-10,screen_size.height/2+3))
	pUiLayer:addChild(lable)
	
	local pSpriteBack = helper:getPriteByCache('lock_text_2.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	
	--确认按钮
	local pSprite = helper:get9PriteByCache('btn_green.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(295,130))
	
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-110))
	pUiLayer:addChild(pBtn)
	local function onBtnBuy()
		--pBackLayer:runAction(CCFadeTo:create(0.3,0))
		--支付成功的处理
		curIndex = index;
		if not hasNum then 
			User:GetInstance():pay(EnumFeeType_MM508);
		else 
			lockBuySuccess()
		end 
	end
	pBtn:addHandleOfControlEvent(onBtnBuy,CCControlEventTouchUpInside)
	doImageAction(pBtn)
	
	if hasNum == false then
        -- local pSpriteBack = helper:getPriteByCache('buy_btn_text_d.png')
        -- pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-110))
        -- pUiLayer:addChild(pSpriteBack)
        helper:addPriceBig(pBtn,EnumFeeType_MM508);	
			--钱
		--local pSpriteBack = helper:getPriteByCache('news_ok.png')
		--pSpriteBack:setPosition(ccp(screen_size.width/2-40,screen_size.height/2-110))
		--pUiLayer:addChild(pSpriteBack)
		
		--local pSpriteBack = helper:getPriteByCache('yuan_s.png')
		--pSpriteBack:setPosition(ccp(screen_size.width/2+50,screen_size.height/2-110))
		--pUiLayer:addChild(pSpriteBack)
		
		--local levelLable = DigitLable:createCache('ui/common/common.png')
		--levelLable:setPixGap(-9)
		--levelLable:setDigitNum(2,'startbuyNum_')
		--levelLable:setPosition(ccp(screen_size.width/2+89,screen_size.height/2-110))
		--pUiLayer:addChild(levelLable)
	else
		local pSpriteBack = helper:getPriteByCache('news_ok.png')
		pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2-110))
		pUiLayer:addChild(pSpriteBack)
	end 
	
	api_action_scale_show(pUiLayer)

end

function lockBuySuccess()
	local pGameScene = api_getGameMapScene()
	local pBackLayer = pGameScene:getChildByTagName('color_back_lock')
	if pBackLayer ~= nil then
		pBackLayer:removeFromParentAndCleanup(true)

		--local pUiLayer = pBackLayer:getChildByTagName('lock_dialog')
		--api_action_scale_hide(pUiLayer)
		doUnLock(curIndex,false);
	end

end


function doUnLock(index,isenter)
	local helper = UIUtils:create()

	User:GetInstance():setLock(index);
	local keyItem = curMaplayer:getChildByTagName(string.format('lock_light_key_%d',index))
	local levelBtn = curMaplayer:getChildByTag(index)
	local lable  = levelBtn:getChildByTagName(string.format('lock_light_label_%d',index))
	
	local screen_size = CCDirector:sharedDirector():getWinSize()
	local gameSence = api_getGameMapScene();
	
	local widthx = tb_map_item[index].px-200;
	local heightx = tb_map_item[index].py-15+180;

	local pSprite = CCSprite:create('ui/welcome/finish_back.data')
	pSprite:setPosition(ccp(widthx,heightx))
	curMaplayer:addChild(pSprite,4)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.3,10))
	local action  = CCSequence:create(array)
	pSprite:runAction(CCRepeatForever:create(action))
	
	local keyLock = helper:getPriteByCache('item_lock_key.png')
	keyLock:setPosition(ccp(282,291))
	pSprite:addChild(keyLock)
	
	
	function doStart()
		if isenter then 
			gotoGame(index)
		else 
			show_start_layer(getGameMapScene(),index,true)
		end 
	end 
	
	function onNext()
		if keyItem then 
			keyItem:setVisible(false);
		end
		pSprite:setVisible(false);
		if lable then 
			lable:setVisible(true)
		end 
	end 
	
	function playStars()
		playEffects(enSound_Lock,false)
		pSprite:runAction(CCFadeTo:create(0.02,0))
		keyItem:runAction(CCFadeTo:create(0.02,0))
		playParticle(keyItem,'ui/plist/hearts_star.plist',30,30)	
	end 
	
	
	local actionArray = CCArray:create()
	actionArray:addObject(CCDelayTime:create(0.8))
	actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.1),CCMoveTo:create(0.3,ccp(tb_map_item[index].px,tb_map_item[index].py-15))))
	actionArray:addObject(CCCallFunc:create(playStars))
	actionArray:addObject(CCDelayTime:create(0.5))
	actionArray:addObject(CCCallFunc:create(onNext))
	actionArray:addObject(CCDelayTime:create(0.5))
	actionArray:addObject(CCCallFunc:create(doStart))
	local action 	= CCSequence:create(actionArray)
	pSprite:runAction(action)
end 

function addViewA(iconx)
	 --松鼠的动画化
	  local actionArray = CCArray:create()
	  actionArray:addObject(CCMoveBy:create(1.5,ccp(0,15)))
	  actionArray:addObject(CCMoveBy:create(1.5,ccp(0,-10)))
	  actionArray:addObject(CCMoveBy:create(1.5,ccp(0,10)))
	  actionArray:addObject(CCMoveBy:create(1.5,ccp(0,-15)))
	  local action 	= CCRepeatForever:create(CCSequence:create(actionArray))
	  iconx:runAction(action)
end 

function show_go_path(level)
	local ionx = curMaplayer:getChildByTagName('GO_ICON');
	if ionx ~= nil then 
		function onNext()
			local isBig = User:GetInstance():isBigLevel(level+1)
			local isPass = User:GetInstance():isPass(level+1)
			local num =  User:GetInstance():getBigStars(level+1);
			local noNum = User:GetInstance():getTotalStar(level+1);
	
			if isBig and isPass == false and noNum <  num then 
				show_lockDialog(level+1)
			else
				if isBig and isPass == false then 
					doUnLock(level+1,true)
				else 
					show_start_layer(getGameMapScene(),level+1,true)
				end 
			end 
		end 
		local screen_size = CCDirector:sharedDirector():getWinSize()
		if tb_map_item[level].px+75 < screen_size.width then 
			ionx:setPosition(ccp(tb_map_item[level].px+75,tb_map_item[level].py+45))
		  else 
			ionx:setPosition(ccp(tb_map_item[level].px-75,tb_map_item[level].py+45))
		  end
		  
		  local gx = nil
		  local gy = nil 
		  if tb_map_item[level+1].px+75 < screen_size.width then 
			gx = tb_map_item[level+1].px+75
			gy = tb_map_item[level+1].py+45
		  else 
			gx = tb_map_item[level+1].px-75
			gy = tb_map_item[level+1].py+45
		  end
		  
		local actionArray = CCArray:create()
		actionArray:addObject(CCMoveTo:create(2,ccp(gx,gy)))
		actionArray:addObject(CCCallFunc:create(onNext))
		local action 	= CCSequence:create(actionArray)
		ionx:runAction(action)
	end
end


--展示地图的动态
function loadMapsDyna(pMapLayer)
	local helper = UIUtils:create();
	local picName = 'mapitem'
	local picPlist = 'map/mapitem.plist'
	local index = 2;
	
	local screen_size = CCDirector:sharedDirector():getWinSize()

	--黄色的蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,21)
	pSpriteBack:setPosition(ccp(432.27,130.33))
	pMapLayer:addChild(pSpriteBack,index)

	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,21,22,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))


	local array = CCArray:create()
	array:addObject(CCMoveTo:create(0.5,ccp(432.27,130.33)))
	array:addObject(CCMoveTo:create(0.5,ccp(437.27,118.37)))
	array:addObject(CCMoveTo:create(1.6,ccp(593.89,333.02)))
	array:addObject(CCMoveTo:create(1.4,ccp(880.49,289.11)))
	array:addObject(CCDelayTime:create(1.2))
	array:addObject(CCMoveTo:create(1.5,ccp(893.47,309.04)))
	array:addObject(CCMoveTo:create(0.8,ccp(734.69,283.09)))
	array:addObject(CCMoveTo:create(0.9,ccp(538.08,313.9)))
	array:addObject(CCMoveTo:create(1.2,ccp(349.31,160.33)))
    array:addObject(CCDelayTime:create(1.2))

	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--紫色蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,54)
	pSpriteBack:setPosition(ccp(463,597))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,54,55,0.3))
	array:addObject(CCDelayTime:create(0.6))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--橘黄色蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,27)
	pSpriteBack:setPosition(ccp(162,507))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,27,28,0.3))
	array:addObject(CCDelayTime:create(0.6))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--树洞的眼睛
	local pSpriteBack = helper:getPriteByChaceIndex(picName,36)
	pSpriteBack:setPosition(ccp(458,691))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,36,37,0.1))
	array:addObject(CCDelayTime:create(0.3))
	array:addObject(helper:buildAnimCache(picName,36,37,0.1))
	array:addObject(helper:buildAnimCache(picName,36,37,0.1))
	array:addObject(helper:buildAnimCache(picName,36,36,0.1))
	array:addObject(CCDelayTime:create(1.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--蜜蜂
	local pSpriteBack = helper:getPriteByChaceIndex(picName,33)
	pSpriteBack:setPosition(ccp(287,914))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,33,34,0.1))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.3,ccp(10,20)))
	array:addObject(CCMoveBy:create(0.5,ccp(-15,10)))
	array:addObject(CCMoveBy:create(0.6,ccp(5,-25)))
	array:addObject(CCDelayTime:create(1.2))
	array:addObject(CCMoveBy:create(0.3,ccp(0,-5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--秋千
	local pSpriteBack = helper:getPriteByChaceIndex(picName,35)
	pSpriteBack:setAnchorPoint(ccp(0.5,1))
	pSpriteBack:setPosition(ccp(484,1192))
	pMapLayer:addChild(pSpriteBack,index)
		
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.5,15))
	array:addObject(CCRotateBy:create(1,-30))
	array:addObject(CCRotateBy:create(0.5,15))
	--array:addObject(CCDelayTime:create(1.2))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--水里的鱼
	local pSpriteBack = helper:getPriteByChaceIndex(picName,49)
	pSpriteBack:setPosition(ccp(579,1715))
	pMapLayer:addChild(pSpriteBack,0)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,49,51,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCMoveTo:create(0.6,ccp(640.55,1715.01)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveTo:create(0.6,ccp(579.55,1715.01)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-40.72,1715-60.12)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-60,1715-70.30)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-80,1715-70.30)))
	array:addObject(CCSpawn:createWithTwoActions(CCMoveTo:create(0.6,ccp(579-120,1715-100.30)),CCFadeTo:create(0.6,100)))
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.6,ccp(240,1715-280.30)))
	array:addObject(CCShow:create())
	array:addObject(CCSpawn:createWithTwoActions(CCFadeTo:create(0.6,100),CCMoveTo:create(0.6,ccp(240-20,1715-280.30))))
	array:addObject(CCSpawn:createWithTwoActions(CCFadeTo:create(0.6,255),CCMoveTo:create(0.6,ccp(240-60,1715-280.30))))
	array:addObject(CCMoveTo:create(1.8,ccp(240-360,1715-360.30)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCHide:create())
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

    --水里的鱼2
	local pSpriteBack = helper:getPriteByChaceIndex(picName,49)
	pSpriteBack:setPosition(ccp(579,1715))
	pSpriteBack:setScale(0.5)
	pMapLayer:addChild(pSpriteBack,0)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,49,51,0.2))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCMoveTo:create(0.6,ccp(640+50.55,1715.01)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveTo:create(0.6,ccp(579.55+50,1715.01)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-40+50.72,1715-60.12)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-60+50,1715-70.30)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-80+50,1715-70.30)))
	array:addObject(CCSpawn:createWithTwoActions(CCMoveTo:create(0.6,ccp(579-120+50,1715-100.30)),CCFadeTo:create(0.6,100)))
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.6,ccp(240+50,1715-280.30)))
	array:addObject(CCShow:create())
	array:addObject(CCSpawn:createWithTwoActions(CCFadeTo:create(0.6,100),CCMoveTo:create(0.6,ccp(240-20+50,1715-280.30))))
	array:addObject(CCSpawn:createWithTwoActions(CCFadeTo:create(0.6,255),CCMoveTo:create(0.6,ccp(240-60+50,1715-280.30))))
	array:addObject(CCMoveTo:create(1.8,ccp(240-360+50,1715-360.30)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCHide:create())
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	--水里的鱼3
	local pSpriteBack = helper:getPriteByChaceIndex(picName,49)
	pSpriteBack:setPosition(ccp(579,1715))
	pSpriteBack:setScale(0.7)
	pMapLayer:addChild(pSpriteBack,0)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,49,51,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCMoveTo:create(0.6,ccp(640+30.55,1715.01+40)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveTo:create(0.6,ccp(579.55+30,1715.01+40)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-40+30.72,1715-40.12+60)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-60+30,1715-70.30+40)))
	array:addObject(CCMoveTo:create(0.6,ccp(579-80+30,1715-70.30+40)))
	array:addObject(CCSpawn:createWithTwoActions(CCMoveTo:create(0.6,ccp(579-120+30,1715-100.30+40)),CCFadeTo:create(0.6,100)))
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.6,ccp(220+30,1715-280.30+40)))
	array:addObject(CCShow:create())
	array:addObject(CCSpawn:createWithTwoActions(CCFadeTo:create(0.6,100),CCMoveTo:create(0.6,ccp(220-20+30,1715-280.30+40))))
	array:addObject(CCSpawn:createWithTwoActions(CCFadeTo:create(0.6,255),CCMoveTo:create(0.6,ccp(220-60+30,1715-280.30+40))))
	array:addObject(CCMoveTo:create(1.8,ccp(220-360+30,1715-390.30+40)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCHide:create())
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	
	
	--梅花鹿
	local pSpriteBack = helper:getPriteByChaceIndex(picName,31)
	pSpriteBack:setPosition(ccp(210,1993))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,31,32,0.1))
	array:addObject(CCDelayTime:create(0.3))
	array:addObject(helper:buildAnimCache(picName,31,32,0.1))
	array:addObject(helper:buildAnimCache(picName,31,32,0.1))
	array:addObject(CCDelayTime:create(0.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--黄色的蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,21)
	pSpriteBack:setPosition(ccp(152,2011))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,21,22,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.3,ccp(10,20)))
	array:addObject(CCMoveBy:create(0.5,ccp(-15,10)))
	array:addObject(CCSpawn:createWithTwoActions(CCMoveBy:create(0.6,ccp(5,-25)),CCRotateBy:create(0.6,30)))
	array:addObject(CCDelayTime:create(1.2))
	array:addObject(CCSpawn:createWithTwoActions(CCMoveBy:create(0.3,ccp(0,-5)),CCRotateBy:create(0.6,-30)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	
	--水中的水果1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,38)
	pSpriteBack:setPosition(ccp(208,2191))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--水中的水果2
	local pSpriteBack = helper:getPriteByChaceIndex(picName,39)
	pSpriteBack:setPosition(ccp(528,2287))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCDelayTime:create(0.25))
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--水中的船
	local pSpriteBack = helper:getPriteByChaceIndex(picName,17)
	pSpriteBack:setPosition(ccp(516,2467-15))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--乌龟头
	local pSpriteBack = helper:getPriteByChaceIndex(picName,40)
	pSpriteBack:setPosition(ccp(252,2729))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,40,41,1.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--黄沙水中的鱼
	local pSpriteBack = helper:getPriteByChaceIndex(picName,49)
	pSpriteBack:setPosition(ccp(572,2988))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.1,90))
	array:addObject(CCFadeTo:create(0.1,100))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(action)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,49,51,0.2))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.8,0.1),CCFadeTo:create(0.8,0)))
    array:addObject(CCDelayTime:create(1.3))
    array:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.8,1),CCFadeTo:create(0.8,255)))
	array:addObject(CCDelayTime:create(1.3))
	local action  = CCSequence:create(array)
	--pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--黄沙水中的鱼
	local pSpriteBack = helper:getPriteByChaceIndex(picName,49)
	pSpriteBack:setScale(0.8)
	pSpriteBack:setPosition(ccp(572-35,2998+25))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.1,90))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(action)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,49,51,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--珍珠
	local pSpriteBack = helper:getPriteByChaceIndex(picName,53)
	pSpriteBack:setPosition(ccp(548,3173))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.3,10))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,52)
	pSpriteBack:setPosition(ccp(548,3173))
	pMapLayer:addChild(pSpriteBack,index)

	
	--转洞
	local pSpriteBack = helper:getPriteByChaceIndex(picName,25)
	pSpriteBack:setPosition(ccp(72,3421))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.1,ccp(72,3421)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveBy:create(0.1,ccp(0,20)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCMoveBy:create(0.1,ccp(0,-20)))
	array:addObject(CCDelayTime:create(0.1))
	
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.1,ccp(332,3713)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveBy:create(0.1,ccp(0,20)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCMoveBy:create(0.1,ccp(0,-20)))
	array:addObject(CCDelayTime:create(0.1))
	
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.1,ccp(576,3842)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveBy:create(0.1,ccp(0,20)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCMoveBy:create(0.1,ccp(0,-20)))
	array:addObject(CCDelayTime:create(0.1))
	
	array:addObject(CCHide:create())
	array:addObject(CCMoveTo:create(0.1,ccp(101,4277)))
	array:addObject(CCShow:create())
	array:addObject(CCMoveBy:create(0.1,ccp(0,20)))
	array:addObject(CCDelayTime:create(0.5))
	array:addObject(CCMoveBy:create(0.1,ccp(0,-20)))
	array:addObject(CCDelayTime:create(0.1))
	
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,24)
	pSpriteBack:setPosition(ccp(72,3421))
	pMapLayer:addChild(pSpriteBack,index)
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,24)
	pSpriteBack:setPosition(ccp(332,3713))
	pMapLayer:addChild(pSpriteBack,index)
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,24)
	pSpriteBack:setPosition(ccp(576,3842))
	pMapLayer:addChild(pSpriteBack,index)
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,24)
	pSpriteBack:setPosition(ccp(101,4277))
	pMapLayer:addChild(pSpriteBack,index)
	
	
	--小野人
	local pSpriteBack = helper:getPriteByChaceIndex(picName,26)
	pSpriteBack:setAnchorPoint(ccp(0.5,0))
	pSpriteBack:setPosition(ccp(100-27,4072-40))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCScaleTo:create(0.5,0.8))
	array:addObject(CCScaleTo:create(0.5,1))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,23)
	pSpriteBack:setPosition(ccp(44,4145))
	pMapLayer:addChild(pSpriteBack,index)
	
	--雪人
	local pSpriteBack = helper:getPriteByChaceIndex(picName,44)
	pSpriteBack:setPosition(ccp(160,4521))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,44,45,0.1))
	array:addObject(CCDelayTime:create(0.3))
	array:addObject(helper:buildAnimCache(picName,44,45,0.1))
	array:addObject(helper:buildAnimCache(picName,44,45,0.1))
	array:addObject(CCDelayTime:create(0.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--篝火
	local pSpriteBack = helper:getPriteByChaceIndex(picName,42)
	pSpriteBack:setPosition(ccp(174,4903))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,42,43,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
		
	--灯塔
	local pSpriteBack = helper:getPriteByChaceIndex(picName,47)
	pSpriteBack:setPosition(ccp(325,5951))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,47,48,0.3))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,46)
	pSpriteBack:setPosition(ccp(325,5951))
	pMapLayer:addChild(pSpriteBack,index)
	
	
	
	--冰山1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,2)
	pSpriteBack:setPosition(ccp(92,6292+20))
	pMapLayer:addChild(pSpriteBack,index)

	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local pSpriteBack = helper:getPriteByChaceIndex(picName,3)
	pSpriteBack:setPosition(ccp(92,6292+20))
	pMapLayer:addChild(pSpriteBack,index)
	cloudDyanAni(pSpriteBack)
	
	--冰山1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,2)
	pSpriteBack:setPosition(ccp(584,6503+20))
	pMapLayer:addChild(pSpriteBack,index)

	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))


	local pSpriteBack = helper:getPriteByChaceIndex(picName,3)
	pSpriteBack:setPosition(ccp(584,6503+20))
	pMapLayer:addChild(pSpriteBack,index)
	cloudDyanAni(pSpriteBack)
	
	--冰山1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,2)
	pSpriteBack:setPosition(ccp(504,6865))
	pMapLayer:addChild(pSpriteBack,index)

	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local pSpriteBack = helper:getPriteByChaceIndex(picName,3)
	pSpriteBack:setPosition(ccp(504,6865))
	pMapLayer:addChild(pSpriteBack,index)
	cloudDyanAni(pSpriteBack)
	
	
	--冰山1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,2)
	pSpriteBack:setPosition(ccp(66,7060))
	pMapLayer:addChild(pSpriteBack,index)

	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local pSpriteBack = helper:getPriteByChaceIndex(picName,3)
	pSpriteBack:setPosition(ccp(66,7060))
	pMapLayer:addChild(pSpriteBack,index)
	cloudDyanAni(pSpriteBack)
	
	--冰山1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,2)
	pSpriteBack:setPosition(ccp(74,7560+10))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))


    --云	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,3)
	pSpriteBack:setPosition(ccp(74,7560+10))
	pMapLayer:addChild(pSpriteBack,index)
	cloudDyanAni(pSpriteBack) 


	local pSpriteBack = helper:getPriteByChaceIndex(picName,3)
	pSpriteBack:setPosition(ccp(screen_size.width/2,7560+250))
	pMapLayer:addChild(pSpriteBack,index)
    cloudDyanAni(pSpriteBack) 
	
	
	--兔子
	local pSpriteBack = helper:getPriteByChaceIndex(picName,5)
	pSpriteBack:setPosition(ccp(136,8904))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,5,6,0.1))
	array:addObject(CCDelayTime:create(0.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--红色蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,19)
	pSpriteBack:setPosition(ccp(133,9124))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,19,20,0.1))
	array:addObject(CCDelayTime:create(0.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCMoveTo:create(1.2,ccp(133,9124)))
	array:addObject(CCDelayTime:create(0.8))
	array:addObject(CCMoveTo:create(1.2,ccp(190,9180)))
	array:addObject(CCDelayTime:create(0.8))
	array:addObject(CCMoveTo:create(1.8,ccp(377,9200)))
	array:addObject(CCDelayTime:create(0.8))
	array:addObject(CCRotateBy:create(1.2,180))
	array:addObject(CCMoveTo:create(1.2,ccp(190,9180)))
	array:addObject(CCDelayTime:create(0.8))
	array:addObject(CCMoveTo:create(1.2,ccp(133,9124)))
	array:addObject(CCRotateBy:create(1.2,180))
	array:addObject(CCDelayTime:create(0.8))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	
	--紫色蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,54)
	pSpriteBack:setPosition(ccp(370,9193))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,54,55,0.1))
	array:addObject(CCDelayTime:create(0.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

	local array = CCArray:create()
	array:addObject(CCMoveTo:create(0.5,ccp(370,9193)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCMoveTo:create(0.5,ccp(400,9250)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCMoveTo:create(1,ccp(480,9240)))
	array:addObject(CCRotateBy:create(1.2,180))
	array:addObject(CCMoveTo:create(0.5,ccp(400,9250)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCMoveTo:create(0.5,ccp(370,9193)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCRotateBy:create(1.2,180))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--蓝色蝴蝶
	local pSpriteBack = helper:getPriteByChaceIndex(picName,29)
	pSpriteBack:setPosition(ccp(434,9150))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache(picName,29,30,0.1))
	array:addObject(CCDelayTime:create(0.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))


	local array = CCArray:create()
	array:addObject(CCMoveTo:create(1,ccp(434,9150)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCMoveTo:create(1,ccp(520,9190)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCMoveTo:create(1,ccp(535,9260)))
	array:addObject(CCRotateBy:create(1.2,180))
	array:addObject(CCMoveTo:create(1,ccp(520,9190)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCMoveTo:create(1,ccp(434,9150)))
	array:addObject(CCDelayTime:create(0.6))
	array:addObject(CCRotateBy:create(1.2,180))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--城市猫
	local pSpriteBack = helper:getPriteByChaceIndex(picName,8)
	pSpriteBack:setPosition(ccp(562,9633))
	pMapLayer:addChild(pSpriteBack,index)
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,9)
	pSpriteBack:setPosition(ccp(523,9685))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCScaleTo:create(0.5,1.2))
	array:addObject(CCScaleTo:create(0.5,1))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--直升飞
	local pSpriteBack = helper:getPriteByChaceIndex(picName,15)
	pSpriteBack:setPosition(ccp(194,10328))
	pMapLayer:addChild(pSpriteBack,index)
	
	local pSpriteBack = helper:getPriteByChaceIndex(picName,16)
	pSpriteBack:setPosition(ccp(198-15,10352-15))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCRotateBy:create(0.3,30))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--对话泡泡1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,7)
	pSpriteBack:setPosition(ccp(540,10493))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCScaleTo:create(0.5,1.2))
	array:addObject(CCScaleTo:create(0.5,1))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	--对话泡泡2
	local pSpriteBack = helper:getPriteByChaceIndex(picName,7)
	pSpriteBack:setPosition(ccp(190,11065))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCScaleTo:create(0.5,1.2))
	array:addObject(CCScaleTo:create(0.5,1))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--汽车转动
	local pSpriteBack = helper:getPriteByChaceIndex(picName,10)
	pSpriteBack:setPosition(ccp(128,10761))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCMoveTo:create(2.5,ccp(-50,10761-90)))
	array:addObject(CCDelayTime:create(1.5))
	array:addObject(CCMoveTo:create(2.5,ccp(128,10761)))
	array:addObject(CCDelayTime:create(1.5))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	
	--救生圈1
	local pSpriteBack = helper:getPriteByChaceIndex(picName,13)
	pSpriteBack:setPosition(ccp(508,11217))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
	
	
	--救生圈2
	local pSpriteBack = helper:getPriteByChaceIndex(picName,14)
	pSpriteBack:setPosition(ccp(488,11263))
	pMapLayer:addChild(pSpriteBack,index)
	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(0.5,ccp(0,-5)))
	array:addObject(CCMoveBy:create(0.5,ccp(0,5)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))
end 


--云的飘动
function cloudDyanAni(pSpriteBack)
	local screen_size = CCDirector:sharedDirector():getWinSize()

	local x = pSpriteBack:getPositionX()
	local y = 342.5 - x + screen_size.width

	local array = CCArray:create()
	array:addObject(CCMoveBy:create(y/200,ccp(y,0)))
	array:addObject(CCHide:create());
	array:addObject(CCMoveTo:create(0.1,ccp(-342.5,pSpriteBack:getPositionY())))
	array:addObject(CCShow:create());
	array:addObject(CCMoveBy:create(pSpriteBack:getPositionX()/200,ccp(pSpriteBack:getPositionX(),0)))
	local action  = CCSequence:create(array)
	pSpriteBack:runAction(CCRepeatForever:create(action))

end 


















