﻿
local toy_cfg_arrays = {
{img = 'aimline.png',em=3,type=1,money=3,buynum=1,once=true,txtimg='stitle_line.png'},
{img = 'tools_changes.png',em=11,type=1,money=3,buynum=1,once=true,txtimg='stitle_change.png'},
{img = 'rainbown.png',em=2,type=0,money=480,buynum=3,once=false,numimg='buytools_3.png',txtimg='stitle_caihong.png'},
{img = 'bomb.png',em=1,type=0,money=480,buynum=3,once=false,numimg='buytools_3.png',txtimg='stitle_bob.png'},
{img = 'tools_fire.png',em=4,type=0,money=580,buynum=3,once=false,numimg='buytools_3.png',txtimg='stitle_fire.png'},
{img = 'tools_fengyin.png',em=5,type=0,money=580,buynum=1,once=false,txtimg='stitle_fengying.png'},
{img = 'tools_three.png',em=6,type=0,money=1499,buynum=1,once=true,txtimg='stitle_three.png'},
}

local toy_cfg_curren = nil;

local start_level = nil
local levelLable = nil
local isClick = true
local startStar1
local startStar2
local startStar3
local currenLayerTable
local parentLayer

currntBtn = nil
cuurntItem = nil

--tableView 的处理类


local TableViewTestLayer = class("TableViewTestLayer")
TableViewTestLayer.__index = TableViewTestLayer

function TableViewTestLayer.extend(target)
    local t = tolua.getpeer(target)
    if not t then
        t = {}
        tolua.setpeer(target, t)
    end
    setmetatable(t, TableViewTestLayer)
    return target
end

function TableViewTestLayer.scrollViewDidScroll(view)
    print("scrollViewDidScroll")
end

function TableViewTestLayer.scrollViewDidZoom(view)
    print("scrollViewDidZoom")
end

function TableViewTestLayer.tableCellTouched(table,cell)
    print("cell touched at index: " .. cell:getIdx())
	onStartToolsBuy(nil,cell:getChildByTagName('tool_btn'))
end

function TableViewTestLayer.cellSizeForTable(table,idx) 
	return 130,165
end

function TableViewTestLayer.tableCellAtIndex(table, idx)
    local cell = table:dequeueCell()
    if nil == cell then
        cell = CCTableViewCell:new()
    else
        cell:removeAllChildrenWithCleanup(true)
    end
	
	showUserToys(cell,toy_cfg_curren[idx+1],70,85,idx+1)
    return cell
end

function TableViewTestLayer.numberOfCellsInTableView(table)
   return #toy_cfg_curren
end

function TableViewTestLayer:init()

    local winSize = CCDirector:sharedDirector():getWinSize()

    local tableView = CCTableView:create(CCSizeMake(515,224))
    tableView:setDirection(kCCScrollViewDirectionHorizontal)
    tableView:setPosition(CCPointMake(10, 25))
	tableView:setTag(1)
    self:addChild(tableView)
    --registerScriptHandler functions must be before the reloadData function
    tableView:registerScriptHandler(TableViewTestLayer.scrollViewDidScroll,CCTableView.kTableViewScroll)
    tableView:registerScriptHandler(TableViewTestLayer.scrollViewDidZoom,CCTableView.kTableViewZoom)
    tableView:registerScriptHandler(TableViewTestLayer.tableCellTouched,CCTableView.kTableCellTouched)
    tableView:registerScriptHandler(TableViewTestLayer.cellSizeForTable,CCTableView.kTableCellSizeForIndex)
    tableView:registerScriptHandler(TableViewTestLayer.tableCellAtIndex,CCTableView.kTableCellSizeAtIndex)
    tableView:registerScriptHandler(TableViewTestLayer.numberOfCellsInTableView,CCTableView.kNumberOfCellsInTableView)  
    tableView:reloadData()
   return true
end

function TableViewTestLayer.create()
    local layer = TableViewTestLayer.extend(CCLayerRGBA:create())
    if nil ~= layer then
        layer:init()
    end

    return layer
end



--开始的UI布局
function show_start_layer(pGameScene,level,useAction)
	User:GetInstance():taklingEventOnce("first_open_level");
	local helper = UIUtils:create()
    isClick = true
	start_level = level
	local screen_size = CCDirector:sharedDirector():getWinSize()
	
	local pBackLayer = CCLayerColor:create(ccc4(0,0,0,0))
	pBackLayer:runAction(CCFadeTo:create(0.12,140))
	pGameScene:addChild(pBackLayer,98)
	pBackLayer:setTag(9901)
	
	pBackLayer:setOpacity(0)
	
	local pUiLayer = CCLayerRGBA:create()
	pBackLayer:addChild(pUiLayer,3)
	pUiLayer:setTagName('start_ui')
	
	pUiLayer:registerScriptTouchHandler(function(eventType,x,y)if eventType == "began" then return pUiLayer:isVisible() end end,false,0,true)
	pUiLayer:setTouchEnabled(true)
	
	--背景图片层
	local pSprite = helper:getPriteByCache('run_grass.png')
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setPosition(ccp(screen_size.width/2,0))
	pUiLayer:addChild(pSprite)

	
	local pSprite = helper:getPriteByCache('run_yiny.png')
	pSprite:setAnchorPoint(ccp(0.5,1))
	pSprite:setPosition(ccp(screen_size.width/2,70))
	pUiLayer:addChild(pSprite)
	
	local array = CCArray:create()
	array:addObject(CCMoveBy:create(1.2,ccp(0,68)))
	array:addObject(CCMoveBy:create(0.0001,ccp(0,-68)))
	local action  = CCSequence:create(array)
	pSprite:runAction(CCRepeatForever:create(action))
	
	local pSprite = helper:getPriteByCache('run_back.png')
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setPosition(ccp(screen_size.width/2,30))
	pUiLayer:addChild(pSprite)
	
	
	
	
	local pSpriteBack = helper:getPriteByCache('back_3.png')
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSpriteBack)
	
	local pSpriteBack = helper:getPriteByCache('back_title.png') --草
	pSpriteBack:setPosition(ccp(screen_size.width/2,screen_size.height/2+340))
	pUiLayer:addChild(pSpriteBack)
	
	--关闭按钮
	local pSprite = helper:get9PriteByCache('btn_close.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(66,66))
	
	pBtn:setTouchPriority(-1)
	pBtn:setPosition(ccp(screen_size.width-60,screen_size.height/2+310))
	pUiLayer:addChild(pBtn)
	local function onBtnClose()
		if isClick then 
			--api_action_scale_hide(pp)
			api_action_scale_hide(pUiLayer)
			pBackLayer:runAction(CCFadeTo:create(0.3,0))
			playEffects(enSound_CloseBtn,false)
		end
	end
	pBtn:addHandleOfControlEvent(onBtnClose,CCControlEventTouchUpInside)
	api_action_scale_show(pUiLayer)
	--api_action_scale_show(pp)
	
	
	--关卡
	local pSprite = helper:getPriteByCache('level_text.png')
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2+210))
	pUiLayer:addChild(pSprite)
	
	local mar = screen_size.width/2+20
	if level >= 10 and level < 100 then
		mar = mar
	elseif level>= 100 then 	
		mar = mar
	elseif level < 10 then 
		--pSprite:setScaleX(0.8)
	end 
	
	levelLable = DigitLable:createCache('map/mapall3.png')
	levelLable:setPixGap(-9)
	levelLable:setDigitNum(level,'startlevelnum_')
	levelLable:setPosition(ccp(mar,screen_size.height/2+210))
	pUiLayer:addChild(levelLable)
	levelLable:setTagName('lable_num')
	
	-- 三颗星
	startStar1 = helper:getPriteByCache('finish_star_s.png')
	startStar1:setPosition(ccp(screen_size.width/2 - 140, screen_size.height/2 + 295+25))
	startStar1:setScale(0)
	startStar1:setRotation(-30)
	pUiLayer:addChild(startStar1)

	startStar2 = helper:getPriteByCache('finish_star_s.png')
	startStar2:setPosition(ccp(screen_size.width/2, screen_size.height/2 + 295+25))
	startStar2:setScale(0)
	pUiLayer:addChild(startStar2)

	startStar3 = helper:getPriteByCache('finish_star_s.png')
	startStar3:setPosition(ccp(screen_size.width/2 + 140, screen_size.height/2 + 295+25))
	startStar3:setRotation(30)
	startStar3:setScale(0)
	pUiLayer:addChild(startStar3)
	showStarStar(level)
	
	--使用道具
	--local pSprite = helper:getPriteByCache('text_useitem.png')
	--pSprite:setAnchorPoint(ccp(0,0.5))
	--pSprite:setPosition(ccp(55,screen_size.height/2 +140))
	--pUiLayer:addChild(pSprite)
	
	
	local pSprite = helper:get9PriteByCache('text_useitem_left.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setTouchPriority(-1)
	pBtn:setAnchorPoint(ccp(1,0.5))
	pBtn:setPreferredSize(CCSizeMake(210,60))
	pBtn:setPosition(ccp(screen_size.width-55,screen_size.height/2 +140))
	--pUiLayer:addChild(pBtn)
	
	local function showShop()
		playEffects(enSound_MenuBtn,false)
		ShopLayer:showTabls(pGameScene,1) 
	end
	pBtn:addHandleOfControlEvent(showShop,CCControlEventTouchUpInside)
	
	--道具列表
	local pSprite = helper:getPriteByCache('start_back.png')
	pSprite:setPosition(ccp(screen_size.width/2,screen_size.height/2))
	pUiLayer:addChild(pSprite)
	
	
	local widths = 0
	local heigth = screen_size.height/2
	
	parentLayer = pSprite;
	reloadToolsData()
	currenLayerTable = TableViewTestLayer.create()
    parentLayer:addChild(currenLayerTable)
    currenLayerTable:setTag(123456)

	
	--开始按钮	
	local pSprite = helper:get9PriteByCache('btn_yellow_d.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setTouchPriority(-1)
	pBtn:setPreferredSize(CCSizeMake(390,152))
	pBtn:setPosition(ccp(screen_size.width/2,screen_size.height/2-310+110))
	pUiLayer:addChild(pBtn)
	doImageActionY(pBtn)
	
	
	local pT = helper:getPriteByCache('btn_start_text.png')
	pT:setPosition(ccp(screen_size.width/2,screen_size.height/2-310+110))
	pUiLayer:addChild(pT)
	
	local pE = helper:getPriteByCache('start_empty.png')
	pE:setPosition(ccp(360,screen_size.height/2-310+110))
	pUiLayer:addChild(pE)
	
	local pSpriteHeart = helper:getPriteByCache('life_l.png')
	pSpriteHeart:setPosition(ccp(280-20,screen_size.height-67))
	pGameScene:addChild(pSpriteHeart,100)
	pSpriteHeart:setVisible(false)

	local function startAction()
		--GameLevel:GetInstance():startLevel(start_level)
		--local pGameScene = GameLevel:GetInstance():getGameScene()
		--load_game_ui(pGameScene)
		--enterGame()
		--切换到游戏的场景中
		--local reScene = CCTransitionFade:create(0.3,pGameScene)
		--CCDirector:sharedDirector():replaceScene(reScene)

		--api_action_scale_hide(pUiLayer)
		--pBackLayer:runAction(CCFadeTo:create(0.3,0))
		--showLoading();
		--GameLoadingLayer:create(enGameLoadingType_GAME,start_level);
		gotoGame(start_level)

		
	end


	local function playsound()
		playEffects(enSound_lostLife,false)
	end
	
	local function showReady()
		--cclog('showReady')
		--show_back()
		pE:setVisible(false)
		pSpriteHeart:setVisible(false)
		playParticle(pUiLayer,'ui/plist/hearts.plist',360,screen_size.height/2-310+110)

	end
	
	local function onBtnStart()
		User:GetInstance():taklingEventOnce("first_start_level");
		if isClick then 
			pSpriteHeart:setVisible(true)
			playEffects(enSound_MenuBtn,false)
			isClick = false
			--先做心心掉落动画
			local array = CCArray:create()
			array:addObject(CCMoveTo:create(0.1,ccp(352,1084)))
			array:addObject(CCMoveTo:create(0.1,ccp(436,1052)))
			array:addObject(CCMoveTo:create(0.1,ccp(494,1004)))
			array:addObject(CCMoveTo:create(0.1,ccp(526,958)))
			array:addObject(CCMoveTo:create(0.1,ccp(545,896)))
			array:addObject(CCMoveTo:create(0.1,ccp(556,825)))
			array:addObject(CCMoveTo:create(0.1,ccp(555,750)))
			array:addObject(CCMoveTo:create(0.1,ccp(545,680)))
			array:addObject(CCMoveTo:create(0.1,ccp(527,602)))
			array:addObject(CCMoveTo:create(0.1,ccp(505,552)))
			array:addObject(CCMoveTo:create(0.1,ccp(470,485)))
			array:addObject(CCMoveTo:create(0.1,ccp(435,435)))
			array:addObject(CCMoveTo:create(0.1,ccp(screen_size.width/2+40,screen_size.height/2-310+110)))
			array:addObject(CCScaleTo:create(0.3,1.3))
			array:addObject(CCScaleTo:create(0.3,1))
			array:addObject(CCCallFunc:create(playsound))
			array:addObject(CCCallFunc:create(showReady))
			array:addObject(CCDelayTime:create(0.5))
			array:addObject(CCCallFunc:create(startAction))
			local action  = CCSequence:create(array)
			
			pSpriteHeart:runAction(action)
		end 
	end
	pBtn:addHandleOfControlEvent(onBtnStart,CCControlEventTouchUpInside)
	
	



	if start_level == 1 then 
		local isQ = User:GetInstance():getValue('level_1_first_start');

		if isQ == 0 then 
			User:GetInstance():addValue('level_1_first_start',1);
			
			local handler = helper:getPriteByCache('guideimgs_8.png');
			handler:setPosition(ccp(screen_size.width/2+150,screen_size.height/2-310+70))
			pUiLayer:addChild(handler,22)

			local actionArray = CCArray:create()
			actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.7),CCMoveBy:create(0.3,ccp(10,10))))
			actionArray:addObject(CCSpawn:createWithTwoActions(CCScaleTo:create(0.3,0.6),CCMoveBy:create(0.3,ccp(-10,-10))))
			local action  = CCRepeatForever:create(CCSequence:create(actionArray))
			handler:runAction(action)

			

		end 
	end 


	--松鼠奔跑
	local helper = UIUtils:create()
	local pSprite = helper:getPriteByCache('run_1.png')
	pSprite:setAnchorPoint(ccp(0.5,0))
	pSprite:setPosition(ccp(screen_size.width/2,35))
	pUiLayer:addChild(pSprite)
	
	--奔跑动画
	local array = CCArray:create()
	array:addObject(helper:buildAnimCache("run",1,12,0.1))
	local action  = CCSequence:create(array)
	pSprite:runAction(CCRepeatForever:create(action))
end
	
function onStartToolsBuy(event,pBtnx)
	local helper = UIUtils:create()
	local item = toy_cfg_curren[pBtnx:getTag()];
	local userNum = User:GetInstance():getToyNum(item.em)
	playEffects(enSound_BuyBtn,false)
	if item.type == 1 then 
		if userNum  == 0  then 
			currntBtn = pBtnx;
			cuurntItem = item;

			if item.em == 3 then 
				User:GetInstance():payStart(EnumFeeType_MM509);
			elseif item.em == 11 then 
				User:GetInstance():payStart(EnumFeeType_MM510);

			else
				pSprite = pBtnx:getChildByTag(item.em)
				pSprite:removeAllChildrenWithCleanup(true)
				User:GetInstance():addToyNum(item.em,item.buynum)
				reloadToolsData()
			
				if currenLayerTable ~= nil then 
					local tableView = currenLayerTable:getChildByTag(1);
					if tableView ~= nil then 
						tableView:reloadData();
					end
				end
				
			end
		end 
	else 
		local dimoads = User:GetInstance():getToyNum(enToyType_Diamond);
		if dimoads-item.money >= 0 then
			User:GetInstance():addToyNum(item.em,item.buynum)
			User:GetInstance():useToy(enToyType_Diamond,item.money)
			local numx = User:GetInstance():getToyNum(item.em);
			local levelLable = pBtnx:getChildByTagName('start_toy_nums');
			local marg = 97
			if numx > 10 then 
				marg = 107
			end
				
			if userNum > 0 and levelLable ~=nil then
				pBtnx:removeChildByTag(100,true)
			else
				local pSprite = helper:getPriteByCache('buy_nums.png')
				pSprite:setPosition(ccp(120,155))
				pBtnx:addChild(pSprite)
			end
			local levelLablex = DigitLable:createCache('map/mapall3.png')
			levelLablex:setDigitNum(numx,'toyNum_')
			levelLablex:setPosition(ccp(127,158))
			levelLablex:setTagName('start_toy_nums')
			levelLablex:setTag(100)
			pBtnx:addChild(levelLablex)	
				
			playEffects(enSound_BuySucess,false)

			if item.em == 6 then 
				reloadToolsData()
			
				if currenLayerTable ~= nil then 
					local tableView = currenLayerTable:getChildByTag(1);
					if tableView ~= nil then 
						tableView:reloadData();
					end
				end
			end 
		else
			showNoMoney()
		end
	end 
	updateToys()
end
	
function showUserToys(pUiLayer,item,width,height,index)
	local helper = UIUtils:create()
	local pSprite = helper:get9PriteByCache('item_back_s.png')
	local pBtn = CCControlButton:create(pSprite)
	pBtn:setPreferredSize(CCSizeMake(130,165))
	pBtn:setPosition(ccp(width,height))
	pBtn:setTag(index)
	pBtn:setTagName('tool_btn')
	--pBtn:setTouchPriority(-1)
	pUiLayer:addChild(pBtn)
	
	--图标
	local pSprite = helper:getPriteByCache(item.img)
	pSprite:setPosition(ccp(65,100))
	if item.em == 11 then 
		pSprite:setPosition(ccp(65,90))
	end
	pSprite:setScale(0.9)
	pBtn:addChild(pSprite)

	if item.numimg ~= nil then
		local pSprite = helper:getPriteByCache(item.numimg)
		pSprite:setPosition(ccp(65+30,100-25))
		pSprite:setScale(0.6)
		pBtn:addChild(pSprite,3)

    end

    --文字
    local tSprite = helper:getPriteByCache(item.txtimg);
    tSprite:setAnchorPoint(ccp(0.5,0))
    tSprite:setPosition(ccp(65,137))
    pBtn:addChild(tSprite)



	
	local userNum = User:GetInstance():getToyNum(item.em)
	
	--背景
	local pSprite = CCNode:create()
	pSprite:setPosition(ccp(10,18))
	pSprite:setTag(item.em)
	pBtn:addChild(pSprite)
	
	local levelLable 
	
	if item.once and userNum > 0 then 
		--changImag(pSprite,'ui/gameui/buy_done.png')
	else	
		local marg = 48
		
		if item.type == 1 then 
			-- local pSpriteBack = helper:getPriteByCache('sluck_get_btn.png')
			-- pSpriteBack:setPosition(ccp(65-8,17-5))
			-- pSprite:addChild(pSpriteBack)

			local etype =EnumFeeType_MM509;
			if item.em == 3 then 
				etype =EnumFeeType_MM509;
			elseif item.em == 11 then 
				etype =EnumFeeType_MM510;
			end

			helper:addPriceSmall(pSprite,etype);	
			marg = 60			
		else 
			local pSpriteBack = helper:getPriteByCache('dimand_1.png')
			pSpriteBack:setScale(0.75)
			pSpriteBack:setPosition(ccp(23,17+5-5))
			pSprite:addChild(pSpriteBack)	

			local levelLable = DigitLable:createCache('ui/common/common.png')
			levelLable:setPixGap(-2)
			levelLable:setAnchorPoint(ccp(0,0.5))
			levelLable:setDigitNum(item.money,'startbuyNum_')
			levelLable:setPosition(ccp(marg,17-5))
			pSprite:addChild(levelLable)	
		end 
		
		
			
		
		if userNum > 0 then 
			local pSprite = helper:getPriteByCache('buy_nums.png')
			pSprite:setPosition(ccp(120,155))
			pBtn:addChild(pSprite)
			
						
			levelLable = DigitLable:createCache('map/mapall3.png')
			levelLable:setDigitNum(userNum,'toyNum_')
			levelLable:setPosition(ccp(127,158))
			levelLable:setTagName('start_toy_nums')
			levelLable:setTag(100)
			pBtn:addChild(levelLable)	
		end 
	end 
	pBtn:addHandleOfControlEvent(onStartToolsBuy,CCControlEventTouchUpInside)
	
end 



function showStarStar(level)
	local index = 0
	
	local function getSprite()
		local pSprite
		if index == 0 then 
			pSprite = startStar1;
		elseif index == 1 then 
			pSprite = startStar2;
		elseif index == 2 then  
			pSprite = startStar3;
		else
			return;
		end
		return pSprite
	end 
	
	
	
	local function big()
		pSprite = getSprite()
		if pSprite then		
			local stars = User:GetInstance():getHistoryStar(level)
			local ispass = User:GetInstance():isPass(level)
			if ispass == false then 
				stars = 0;
			end 
			if stars < index+1 then
				changImagCache(pSprite,'finish_star.png')
			else
			   	playParticle(pSprite,'ui/plist/stars.plist',80,75)
    
			end 
			
			local array = CCArray:create()
			array:addObject(CCScaleTo:create(0.04,1))
			
			array:addObject(CCCallFunc:create(big))			
			local action  = CCSequence:create(array)
			pSprite:runAction(action)
			index = index + 1;
		end
	end
	
	big()

end


function reloadToolsData()
	toy_cfg_curren = {}
	local index = 1;
	for i=1,#toy_cfg_arrays do 
		local item  = toy_cfg_arrays[i];
		local userNum = User:GetInstance():getToyNum(item.em)
		if userNum >= 1 and item.once then
		else
			--table:insert(toy_cfg_curren,item)
			toy_cfg_curren[index] = item;
			index = index+1
		end
	end
end 


function startLayBuySucees()
	--reloadToolsData()
			
	--if currenLayerTable ~= nil then 
		--local tableView = currenLayerTable:getChildByTag(1);
		--if tableView ~= nil then 
			--tableView:reloadData();
		--end
	--end

	--parentLayer:removeChildByTag(123456,true);
	--currenLayerTable = TableViewTestLayer.create()
    --parentLayer:addChild(currenLayerTable)
    --currenLayerTable:setTag(123456)


    --currenLayerTable:reloadData()

    --local pGameScene = api_getGameMapScene();
	--pGameScene:removeChildByTag(9901,true);
	--show_start_layer(pGameScene,start_level)


	local pSprite = currntBtn:getChildByTag(cuurntItem.em)
	pSprite:removeAllChildrenWithCleanup(true)
	reloadToolsData()
			
	if currenLayerTable ~= nil then 
		local tableView = currenLayerTable:getChildByTag(1);
		if tableView ~= nil then 
			tableView:reloadData();
		end
	end

	--showSucessWindows(EnumFeeType_MM509)
end

























